#include "math.h"
#include "errno.h"
#ifndef fint
#ifndef Long
#include "arith.h"	/* for Long */
#ifndef Long
#define Long long
#endif
#endif
#define fint Long
#endif
#ifndef real
#define real double
#endif
#ifdef __cplusplus
extern "C" {
#endif
 real acosh_(real *);
 real asinh_(real *);
 real acoshd_(real *, real *);
 real asinhd_(real *, real *);
 void in_trouble(char *, real);
 void in_trouble2(char *, real, real);
 void domain_(char *, real *, fint);
 void zerdiv_(real *);
 fint auxcom_[1] = { 0 /* nlc */ };
 fint funcom_[6] = {
	50 /* nvar */,
	1 /* nobj */,
	0 /* ncon */,
	0 /* nzc */,
	0 /* densejac */,

	/* objtype (0 = minimize, 1 = maximize) */

	0 };

 real boundc_[1+100+0] /* Infinity, variable bounds, constraint bounds */ = {
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80};

 real x0comn_[50] = {
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3.,
		-3. };

 real
feval0_(fint *nobj, real *x)
{
	real v[3];


  /***  objective ***/

	v[0] = x[0] * x[0];
	v[1] = 5.5 * v[0];
	v[0] = x[1] * x[0];
	v[2] = 0.5 * v[0];
	v[1] += v[2];
	v[2] = x[1] * x[1];
	v[0] = 5.166666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[2] * x[0];
	v[2] = 0.3333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[2] * x[1];
	v[0] = 0.25 * v[2];
	v[1] += v[0];
	v[0] = x[2] * x[2];
	v[2] = 5.1 * v[0];
	v[1] += v[2];
	v[2] = x[3] * x[0];
	v[0] = 0.25 * v[2];
	v[1] += v[0];
	v[0] = x[3] * x[1];
	v[2] = 0.2 * v[0];
	v[1] += v[2];
	v[2] = x[3] * x[2];
	v[0] = 0.16666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[3] * x[3];
	v[2] = 5.071428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[4] * x[0];
	v[0] = 0.2 * v[2];
	v[1] += v[0];
	v[0] = x[4] * x[1];
	v[2] = 0.16666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[4] * x[2];
	v[0] = 0.14285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[4] * x[3];
	v[2] = 0.125 * v[0];
	v[1] += v[2];
	v[2] = x[4] * x[4];
	v[0] = 5.055555555555555 * v[2];
	v[1] += v[0];
	v[0] = x[5] * x[0];
	v[2] = 0.16666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[5] * x[1];
	v[0] = 0.14285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[5] * x[2];
	v[2] = 0.125 * v[0];
	v[1] += v[2];
	v[2] = x[5] * x[3];
	v[0] = 0.1111111111111111 * v[2];
	v[1] += v[0];
	v[0] = x[5] * x[4];
	v[2] = 0.1 * v[0];
	v[1] += v[2];
	v[2] = x[5] * x[5];
	v[0] = 5.045454545454546 * v[2];
	v[1] += v[0];
	v[0] = x[6] * x[0];
	v[2] = 0.14285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[6] * x[1];
	v[0] = 0.125 * v[2];
	v[1] += v[0];
	v[0] = x[6] * x[2];
	v[2] = 0.1111111111111111 * v[0];
	v[1] += v[2];
	v[2] = x[6] * x[3];
	v[0] = 0.1 * v[2];
	v[1] += v[0];
	v[0] = x[6] * x[4];
	v[2] = 0.09090909090909091 * v[0];
	v[1] += v[2];
	v[2] = x[6] * x[5];
	v[0] = 0.08333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[6] * x[6];
	v[2] = 5.038461538461538 * v[0];
	v[1] += v[2];
	v[2] = x[7] * x[0];
	v[0] = 0.125 * v[2];
	v[1] += v[0];
	v[0] = x[7] * x[1];
	v[2] = 0.1111111111111111 * v[0];
	v[1] += v[2];
	v[2] = x[7] * x[2];
	v[0] = 0.1 * v[2];
	v[1] += v[0];
	v[0] = x[7] * x[3];
	v[2] = 0.09090909090909091 * v[0];
	v[1] += v[2];
	v[2] = x[7] * x[4];
	v[0] = 0.08333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[7] * x[5];
	v[2] = 0.07692307692307693 * v[0];
	v[1] += v[2];
	v[2] = x[7] * x[6];
	v[0] = 0.07142857142857142 * v[2];
	v[1] += v[0];
	v[0] = x[7] * x[7];
	v[2] = 5.033333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[8] * x[0];
	v[0] = 0.1111111111111111 * v[2];
	v[1] += v[0];
	v[0] = x[8] * x[1];
	v[2] = 0.1 * v[0];
	v[1] += v[2];
	v[2] = x[8] * x[2];
	v[0] = 0.09090909090909091 * v[2];
	v[1] += v[0];
	v[0] = x[8] * x[3];
	v[2] = 0.08333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[8] * x[4];
	v[0] = 0.07692307692307693 * v[2];
	v[1] += v[0];
	v[0] = x[8] * x[5];
	v[2] = 0.07142857142857142 * v[0];
	v[1] += v[2];
	v[2] = x[8] * x[6];
	v[0] = 0.06666666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[8] * x[7];
	v[2] = 0.0625 * v[0];
	v[1] += v[2];
	v[2] = x[8] * x[8];
	v[0] = 5.029411764705882 * v[2];
	v[1] += v[0];
	v[0] = x[9] * x[0];
	v[2] = 0.1 * v[0];
	v[1] += v[2];
	v[2] = x[9] * x[1];
	v[0] = 0.09090909090909091 * v[2];
	v[1] += v[0];
	v[0] = x[9] * x[2];
	v[2] = 0.08333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[9] * x[3];
	v[0] = 0.07692307692307693 * v[2];
	v[1] += v[0];
	v[0] = x[9] * x[4];
	v[2] = 0.07142857142857142 * v[0];
	v[1] += v[2];
	v[2] = x[9] * x[5];
	v[0] = 0.06666666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[9] * x[6];
	v[2] = 0.0625 * v[0];
	v[1] += v[2];
	v[2] = x[9] * x[7];
	v[0] = 0.058823529411764705 * v[2];
	v[1] += v[0];
	v[0] = x[9] * x[8];
	v[2] = 0.05555555555555555 * v[0];
	v[1] += v[2];
	v[2] = x[9] * x[9];
	v[0] = 5.026315789473684 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[0];
	v[2] = 0.09090909090909091 * v[0];
	v[1] += v[2];
	v[2] = x[10] * x[1];
	v[0] = 0.08333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[2];
	v[2] = 0.07692307692307693 * v[0];
	v[1] += v[2];
	v[2] = x[10] * x[3];
	v[0] = 0.07142857142857142 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[4];
	v[2] = 0.06666666666666667 * v[0];
	v[1] += v[2];
	v[2] = x[10] * x[5];
	v[0] = 0.0625 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[6];
	v[2] = 0.058823529411764705 * v[0];
	v[1] += v[2];
	v[2] = x[10] * x[7];
	v[0] = 0.05555555555555555 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[8];
	v[2] = 0.05263157894736842 * v[0];
	v[1] += v[2];
	v[2] = x[10] * x[9];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[10] * x[10];
	v[2] = 5.023809523809524 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[0];
	v[0] = 0.08333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[1];
	v[2] = 0.07692307692307693 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[2];
	v[0] = 0.07142857142857142 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[3];
	v[2] = 0.06666666666666667 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[4];
	v[0] = 0.0625 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[5];
	v[2] = 0.058823529411764705 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[6];
	v[0] = 0.05555555555555555 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[7];
	v[2] = 0.05263157894736842 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[8];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[9];
	v[2] = 0.047619047619047616 * v[0];
	v[1] += v[2];
	v[2] = x[11] * x[10];
	v[0] = 0.045454545454545456 * v[2];
	v[1] += v[0];
	v[0] = x[11] * x[11];
	v[2] = 5.021739130434782 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[0];
	v[0] = 0.07692307692307693 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[1];
	v[2] = 0.07142857142857142 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[2];
	v[0] = 0.06666666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[3];
	v[2] = 0.0625 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[4];
	v[0] = 0.058823529411764705 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[5];
	v[2] = 0.05555555555555555 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[6];
	v[0] = 0.05263157894736842 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[7];
	v[2] = 0.05 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[8];
	v[0] = 0.047619047619047616 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[9];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[10];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[12] * x[11];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[12] * x[12];
	v[0] = 5.02 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[0];
	v[2] = 0.07142857142857142 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[1];
	v[0] = 0.06666666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[2];
	v[2] = 0.0625 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[3];
	v[0] = 0.058823529411764705 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[4];
	v[2] = 0.05555555555555555 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[5];
	v[0] = 0.05263157894736842 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[6];
	v[2] = 0.05 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[7];
	v[0] = 0.047619047619047616 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[8];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[9];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[10];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[11];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[13] * x[12];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[13] * x[13];
	v[0] = 5.018518518518518 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[0];
	v[2] = 0.06666666666666667 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[1];
	v[0] = 0.0625 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[2];
	v[2] = 0.058823529411764705 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[3];
	v[0] = 0.05555555555555555 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[4];
	v[2] = 0.05263157894736842 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[5];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[6];
	v[2] = 0.047619047619047616 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[7];
	v[0] = 0.045454545454545456 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[8];
	v[2] = 0.043478260869565216 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[9];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[10];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[11];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[12];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[14] * x[13];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[14] * x[14];
	v[2] = 5.017241379310345 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[0];
	v[0] = 0.0625 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[1];
	v[2] = 0.058823529411764705 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[2];
	v[0] = 0.05555555555555555 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[3];
	v[2] = 0.05263157894736842 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[4];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[5];
	v[2] = 0.047619047619047616 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[6];
	v[0] = 0.045454545454545456 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[7];
	v[2] = 0.043478260869565216 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[8];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[9];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[10];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[11];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[12];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[13];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[15] * x[14];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[15] * x[15];
	v[2] = 5.016129032258065 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[0];
	v[0] = 0.058823529411764705 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[1];
	v[2] = 0.05555555555555555 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[2];
	v[0] = 0.05263157894736842 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[3];
	v[2] = 0.05 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[4];
	v[0] = 0.047619047619047616 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[5];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[6];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[7];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[8];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[9];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[10];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[11];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[12];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[13];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[14];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[16] * x[15];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[16] * x[16];
	v[0] = 5.015151515151516 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[0];
	v[2] = 0.05555555555555555 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[1];
	v[0] = 0.05263157894736842 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[2];
	v[2] = 0.05 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[3];
	v[0] = 0.047619047619047616 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[4];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[5];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[6];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[7];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[8];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[9];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[10];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[11];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[12];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[13];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[14];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[15];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[17] * x[16];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[17] * x[17];
	v[0] = 5.014285714285714 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[0];
	v[2] = 0.05263157894736842 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[1];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[2];
	v[2] = 0.047619047619047616 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[3];
	v[0] = 0.045454545454545456 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[4];
	v[2] = 0.043478260869565216 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[5];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[6];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[7];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[8];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[9];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[10];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[11];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[12];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[13];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[14];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[15];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[16];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[18] * x[17];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[18] * x[18];
	v[2] = 5.013513513513513 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[0];
	v[0] = 0.05 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[1];
	v[2] = 0.047619047619047616 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[2];
	v[0] = 0.045454545454545456 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[3];
	v[2] = 0.043478260869565216 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[4];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[5];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[6];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[7];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[8];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[9];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[10];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[11];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[12];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[13];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[14];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[15];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[16];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[17];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[19] * x[18];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[19] * x[19];
	v[2] = 5.012820512820513 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[0];
	v[0] = 0.047619047619047616 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[1];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[2];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[3];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[4];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[5];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[6];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[7];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[8];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[9];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[10];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[11];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[12];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[13];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[14];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[15];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[16];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[17];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[18];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[20] * x[19];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[20] * x[20];
	v[0] = 5.012195121951219 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[0];
	v[2] = 0.045454545454545456 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[1];
	v[0] = 0.043478260869565216 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[2];
	v[2] = 0.041666666666666664 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[3];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[4];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[5];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[6];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[7];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[8];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[9];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[10];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[11];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[12];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[13];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[14];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[15];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[16];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[17];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[18];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[19];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[21] * x[20];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[21] * x[21];
	v[0] = 5.011627906976744 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[0];
	v[2] = 0.043478260869565216 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[1];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[2];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[3];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[4];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[5];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[6];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[7];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[8];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[9];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[10];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[11];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[12];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[13];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[14];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[15];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[16];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[17];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[18];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[19];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[20];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[22] * x[21];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[22] * x[22];
	v[2] = 5.011111111111111 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[0];
	v[0] = 0.041666666666666664 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[1];
	v[2] = 0.04 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[2];
	v[0] = 0.038461538461538464 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[3];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[4];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[5];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[6];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[7];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[8];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[9];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[10];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[11];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[12];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[13];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[14];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[15];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[16];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[17];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[18];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[19];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[20];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[21];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[23] * x[22];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[23] * x[23];
	v[2] = 5.01063829787234 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[0];
	v[0] = 0.04 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[1];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[2];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[3];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[4];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[5];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[6];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[7];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[8];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[9];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[10];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[11];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[12];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[13];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[14];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[15];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[16];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[17];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[18];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[19];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[20];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[21];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[22];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[24] * x[23];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[24] * x[24];
	v[0] = 5.010204081632653 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[0];
	v[2] = 0.038461538461538464 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[1];
	v[0] = 0.037037037037037035 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[2];
	v[2] = 0.03571428571428571 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[3];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[4];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[5];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[6];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[7];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[8];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[9];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[10];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[11];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[12];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[13];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[14];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[15];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[16];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[17];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[18];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[19];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[20];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[21];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[22];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[23];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[25] * x[24];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[25] * x[25];
	v[0] = 5.009803921568627 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[0];
	v[2] = 0.037037037037037035 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[1];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[2];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[3];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[4];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[5];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[6];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[7];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[8];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[9];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[10];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[11];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[12];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[13];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[14];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[15];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[16];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[17];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[18];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[19];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[20];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[21];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[22];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[23];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[24];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[26] * x[25];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[26] * x[26];
	v[2] = 5.009433962264151 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[0];
	v[0] = 0.03571428571428571 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[1];
	v[2] = 0.034482758620689655 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[2];
	v[0] = 0.03333333333333333 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[3];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[4];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[5];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[6];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[7];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[8];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[9];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[10];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[11];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[12];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[13];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[14];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[15];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[16];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[17];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[18];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[19];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[20];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[21];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[22];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[23];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[24];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[25];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[27] * x[26];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[27] * x[27];
	v[2] = 5.009090909090909 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[0];
	v[0] = 0.034482758620689655 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[1];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[2];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[3];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[4];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[5];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[6];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[7];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[8];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[9];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[10];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[11];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[12];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[13];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[14];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[15];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[16];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[17];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[18];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[19];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[20];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[21];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[22];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[23];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[24];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[25];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[26];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[28] * x[27];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[28] * x[28];
	v[0] = 5.008771929824562 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[0];
	v[2] = 0.03333333333333333 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[1];
	v[0] = 0.03225806451612903 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[2];
	v[2] = 0.03125 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[3];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[4];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[5];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[6];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[7];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[8];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[9];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[10];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[11];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[12];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[13];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[14];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[15];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[16];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[17];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[18];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[19];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[20];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[21];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[22];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[23];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[24];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[25];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[26];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[27];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[29] * x[28];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[29] * x[29];
	v[0] = 5.008474576271187 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[0];
	v[2] = 0.03225806451612903 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[1];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[2];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[3];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[4];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[5];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[6];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[7];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[8];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[9];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[10];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[11];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[12];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[13];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[14];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[15];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[16];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[17];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[18];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[19];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[20];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[21];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[22];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[23];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[24];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[25];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[26];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[27];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[28];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[30] * x[29];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[30] * x[30];
	v[2] = 5.008196721311475 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[0];
	v[0] = 0.03125 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[1];
	v[2] = 0.030303030303030304 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[2];
	v[0] = 0.029411764705882353 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[3];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[4];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[5];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[6];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[7];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[8];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[9];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[10];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[11];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[12];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[13];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[14];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[15];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[16];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[17];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[18];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[19];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[20];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[21];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[22];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[23];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[24];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[25];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[26];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[27];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[28];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[29];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[31] * x[30];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[31] * x[31];
	v[2] = 5.007936507936508 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[0];
	v[0] = 0.030303030303030304 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[1];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[2];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[3];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[4];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[5];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[6];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[7];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[8];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[9];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[10];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[11];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[12];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[13];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[14];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[15];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[16];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[17];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[18];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[19];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[20];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[21];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[22];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[23];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[24];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[25];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[26];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[27];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[28];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[29];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[30];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[32] * x[31];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[32] * x[32];
	v[0] = 5.007692307692308 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[0];
	v[2] = 0.029411764705882353 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[1];
	v[0] = 0.02857142857142857 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[2];
	v[2] = 0.027777777777777776 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[3];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[4];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[5];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[6];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[7];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[8];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[9];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[10];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[11];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[12];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[13];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[14];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[15];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[16];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[17];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[18];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[19];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[20];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[21];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[22];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[23];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[24];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[25];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[26];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[27];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[28];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[29];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[30];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[31];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[33] * x[32];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[33] * x[33];
	v[0] = 5.007462686567164 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[0];
	v[2] = 0.02857142857142857 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[1];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[2];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[3];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[4];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[5];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[6];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[7];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[8];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[9];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[10];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[11];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[12];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[13];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[14];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[15];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[16];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[17];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[18];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[19];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[20];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[21];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[22];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[23];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[24];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[25];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[26];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[27];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[28];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[29];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[30];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[31];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[32];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[34] * x[33];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[34] * x[34];
	v[2] = 5.007246376811594 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[0];
	v[0] = 0.027777777777777776 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[1];
	v[2] = 0.02702702702702703 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[2];
	v[0] = 0.02631578947368421 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[3];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[4];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[5];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[6];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[7];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[8];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[9];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[10];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[11];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[12];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[13];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[14];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[15];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[16];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[17];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[18];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[19];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[20];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[21];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[22];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[23];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[24];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[25];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[26];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[27];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[28];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[29];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[30];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[31];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[32];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[33];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[35] * x[34];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[35] * x[35];
	v[2] = 5.007042253521127 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[0];
	v[0] = 0.02702702702702703 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[1];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[2];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[3];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[4];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[5];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[6];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[7];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[8];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[9];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[10];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[11];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[12];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[13];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[14];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[15];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[16];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[17];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[18];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[19];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[20];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[21];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[22];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[23];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[24];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[25];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[26];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[27];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[28];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[29];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[30];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[31];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[32];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[33];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[34];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[36] * x[35];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[36] * x[36];
	v[0] = 5.006849315068493 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[0];
	v[2] = 0.02631578947368421 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[1];
	v[0] = 0.02564102564102564 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[2];
	v[2] = 0.025 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[3];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[4];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[5];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[6];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[7];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[8];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[9];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[10];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[11];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[12];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[13];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[14];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[15];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[16];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[17];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[18];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[19];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[20];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[21];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[22];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[23];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[24];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[25];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[26];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[27];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[28];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[29];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[30];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[31];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[32];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[33];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[34];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[35];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[37] * x[36];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[37] * x[37];
	v[0] = 5.006666666666667 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[0];
	v[2] = 0.02564102564102564 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[1];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[2];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[3];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[4];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[5];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[6];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[7];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[8];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[9];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[10];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[11];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[12];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[13];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[14];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[15];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[16];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[17];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[18];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[19];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[20];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[21];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[22];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[23];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[24];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[25];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[26];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[27];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[28];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[29];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[30];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[31];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[32];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[33];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[34];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[35];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[36];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[38] * x[37];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[38] * x[38];
	v[2] = 5.0064935064935066 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[0];
	v[0] = 0.025 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[1];
	v[2] = 0.024390243902439025 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[2];
	v[0] = 0.023809523809523808 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[3];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[4];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[5];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[6];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[7];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[8];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[9];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[10];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[11];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[12];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[13];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[14];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[15];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[16];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[17];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[18];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[19];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[20];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[21];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[22];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[23];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[24];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[25];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[26];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[27];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[28];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[29];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[30];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[31];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[32];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[33];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[34];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[35];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[36];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[37];
	v[2] = 0.012987012987012988 * v[0];
	v[1] += v[2];
	v[2] = x[39] * x[38];
	v[0] = 0.01282051282051282 * v[2];
	v[1] += v[0];
	v[0] = x[39] * x[39];
	v[2] = 5.006329113924051 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[0];
	v[0] = 0.024390243902439025 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[1];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[2];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[3];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[4];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[5];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[6];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[7];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[8];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[9];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[10];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[11];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[12];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[13];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[14];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[15];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[16];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[17];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[18];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[19];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[20];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[21];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[22];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[23];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[24];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[25];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[26];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[27];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[28];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[29];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[30];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[31];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[32];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[33];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[34];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[35];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[36];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[37];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[38];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[40] * x[39];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[40] * x[40];
	v[0] = 5.006172839506172 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[0];
	v[2] = 0.023809523809523808 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[1];
	v[0] = 0.023255813953488372 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[2];
	v[2] = 0.022727272727272728 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[3];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[4];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[5];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[6];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[7];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[8];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[9];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[10];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[11];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[12];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[13];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[14];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[15];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[16];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[17];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[18];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[19];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[20];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[21];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[22];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[23];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[24];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[25];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[26];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[27];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[28];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[29];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[30];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[31];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[32];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[33];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[34];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[35];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[36];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[37];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[38];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[39];
	v[0] = 0.012345679012345678 * v[2];
	v[1] += v[0];
	v[0] = x[41] * x[40];
	v[2] = 0.012195121951219513 * v[0];
	v[1] += v[2];
	v[2] = x[41] * x[41];
	v[0] = 5.006024096385542 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[0];
	v[2] = 0.023255813953488372 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[1];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[2];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[3];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[4];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[5];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[6];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[7];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[8];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[9];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[10];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[11];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[12];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[13];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[14];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[15];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[16];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[17];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[18];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[19];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[20];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[21];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[22];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[23];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[24];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[25];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[26];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[27];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[28];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[29];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[30];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[31];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[32];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[33];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[34];
	v[2] = 0.012987012987012988 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[35];
	v[0] = 0.01282051282051282 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[36];
	v[2] = 0.012658227848101266 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[37];
	v[0] = 0.0125 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[38];
	v[2] = 0.012345679012345678 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[39];
	v[0] = 0.012195121951219513 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[40];
	v[2] = 0.012048192771084338 * v[0];
	v[1] += v[2];
	v[2] = x[42] * x[41];
	v[0] = 0.011904761904761904 * v[2];
	v[1] += v[0];
	v[0] = x[42] * x[42];
	v[2] = 5.0058823529411764 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[0];
	v[0] = 0.022727272727272728 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[1];
	v[2] = 0.022222222222222223 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[2];
	v[0] = 0.021739130434782608 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[3];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[4];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[5];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[6];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[7];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[8];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[9];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[10];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[11];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[12];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[13];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[14];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[15];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[16];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[17];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[18];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[19];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[20];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[21];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[22];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[23];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[24];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[25];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[26];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[27];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[28];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[29];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[30];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[31];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[32];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[33];
	v[2] = 0.012987012987012988 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[34];
	v[0] = 0.01282051282051282 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[35];
	v[2] = 0.012658227848101266 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[36];
	v[0] = 0.0125 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[37];
	v[2] = 0.012345679012345678 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[38];
	v[0] = 0.012195121951219513 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[39];
	v[2] = 0.012048192771084338 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[40];
	v[0] = 0.011904761904761904 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[41];
	v[2] = 0.011764705882352941 * v[0];
	v[1] += v[2];
	v[2] = x[43] * x[42];
	v[0] = 0.011627906976744186 * v[2];
	v[1] += v[0];
	v[0] = x[43] * x[43];
	v[2] = 5.005747126436781 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[0];
	v[0] = 0.022222222222222223 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[1];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[2];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[3];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[4];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[5];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[6];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[7];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[8];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[9];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[10];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[11];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[12];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[13];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[14];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[15];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[16];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[17];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[18];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[19];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[20];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[21];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[22];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[23];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[24];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[25];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[26];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[27];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[28];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[29];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[30];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[31];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[32];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[33];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[34];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[35];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[36];
	v[0] = 0.012345679012345678 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[37];
	v[2] = 0.012195121951219513 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[38];
	v[0] = 0.012048192771084338 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[39];
	v[2] = 0.011904761904761904 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[40];
	v[0] = 0.011764705882352941 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[41];
	v[2] = 0.011627906976744186 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[42];
	v[0] = 0.011494252873563218 * v[2];
	v[1] += v[0];
	v[0] = x[44] * x[43];
	v[2] = 0.011363636363636364 * v[0];
	v[1] += v[2];
	v[2] = x[44] * x[44];
	v[0] = 5.00561797752809 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[0];
	v[2] = 0.021739130434782608 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[1];
	v[0] = 0.02127659574468085 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[2];
	v[2] = 0.020833333333333332 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[3];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[4];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[5];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[6];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[7];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[8];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[9];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[10];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[11];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[12];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[13];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[14];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[15];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[16];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[17];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[18];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[19];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[20];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[21];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[22];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[23];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[24];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[25];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[26];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[27];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[28];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[29];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[30];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[31];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[32];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[33];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[34];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[35];
	v[0] = 0.012345679012345678 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[36];
	v[2] = 0.012195121951219513 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[37];
	v[0] = 0.012048192771084338 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[38];
	v[2] = 0.011904761904761904 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[39];
	v[0] = 0.011764705882352941 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[40];
	v[2] = 0.011627906976744186 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[41];
	v[0] = 0.011494252873563218 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[42];
	v[2] = 0.011363636363636364 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[43];
	v[0] = 0.011235955056179775 * v[2];
	v[1] += v[0];
	v[0] = x[45] * x[44];
	v[2] = 0.011111111111111112 * v[0];
	v[1] += v[2];
	v[2] = x[45] * x[45];
	v[0] = 5.0054945054945055 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[0];
	v[2] = 0.02127659574468085 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[1];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[2];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[3];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[4];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[5];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[6];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[7];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[8];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[9];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[10];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[11];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[12];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[13];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[14];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[15];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[16];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[17];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[18];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[19];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[20];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[21];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[22];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[23];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[24];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[25];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[26];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[27];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[28];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[29];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[30];
	v[2] = 0.012987012987012988 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[31];
	v[0] = 0.01282051282051282 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[32];
	v[2] = 0.012658227848101266 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[33];
	v[0] = 0.0125 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[34];
	v[2] = 0.012345679012345678 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[35];
	v[0] = 0.012195121951219513 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[36];
	v[2] = 0.012048192771084338 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[37];
	v[0] = 0.011904761904761904 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[38];
	v[2] = 0.011764705882352941 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[39];
	v[0] = 0.011627906976744186 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[40];
	v[2] = 0.011494252873563218 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[41];
	v[0] = 0.011363636363636364 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[42];
	v[2] = 0.011235955056179775 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[43];
	v[0] = 0.011111111111111112 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[44];
	v[2] = 0.01098901098901099 * v[0];
	v[1] += v[2];
	v[2] = x[46] * x[45];
	v[0] = 0.010869565217391304 * v[2];
	v[1] += v[0];
	v[0] = x[46] * x[46];
	v[2] = 5.005376344086022 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[0];
	v[0] = 0.020833333333333332 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[1];
	v[2] = 0.02040816326530612 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[2];
	v[0] = 0.02 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[3];
	v[2] = 0.0196078431372549 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[4];
	v[0] = 0.019230769230769232 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[5];
	v[2] = 0.018867924528301886 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[6];
	v[0] = 0.018518518518518517 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[7];
	v[2] = 0.01818181818181818 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[8];
	v[0] = 0.017857142857142856 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[9];
	v[2] = 0.017543859649122806 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[10];
	v[0] = 0.017241379310344827 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[11];
	v[2] = 0.01694915254237288 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[12];
	v[0] = 0.016666666666666666 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[13];
	v[2] = 0.01639344262295082 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[14];
	v[0] = 0.016129032258064516 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[15];
	v[2] = 0.015873015873015872 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[16];
	v[0] = 0.015625 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[17];
	v[2] = 0.015384615384615385 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[18];
	v[0] = 0.015151515151515152 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[19];
	v[2] = 0.014925373134328358 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[20];
	v[0] = 0.014705882352941176 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[21];
	v[2] = 0.014492753623188406 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[22];
	v[0] = 0.014285714285714285 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[23];
	v[2] = 0.014084507042253521 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[24];
	v[0] = 0.013888888888888888 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[25];
	v[2] = 0.0136986301369863 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[26];
	v[0] = 0.013513513513513514 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[27];
	v[2] = 0.013333333333333334 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[28];
	v[0] = 0.013157894736842105 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[29];
	v[2] = 0.012987012987012988 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[30];
	v[0] = 0.01282051282051282 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[31];
	v[2] = 0.012658227848101266 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[32];
	v[0] = 0.0125 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[33];
	v[2] = 0.012345679012345678 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[34];
	v[0] = 0.012195121951219513 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[35];
	v[2] = 0.012048192771084338 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[36];
	v[0] = 0.011904761904761904 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[37];
	v[2] = 0.011764705882352941 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[38];
	v[0] = 0.011627906976744186 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[39];
	v[2] = 0.011494252873563218 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[40];
	v[0] = 0.011363636363636364 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[41];
	v[2] = 0.011235955056179775 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[42];
	v[0] = 0.011111111111111112 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[43];
	v[2] = 0.01098901098901099 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[44];
	v[0] = 0.010869565217391304 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[45];
	v[2] = 0.010752688172043012 * v[0];
	v[1] += v[2];
	v[2] = x[47] * x[46];
	v[0] = 0.010638297872340425 * v[2];
	v[1] += v[0];
	v[0] = x[47] * x[47];
	v[2] = 5.005263157894737 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[0];
	v[0] = 0.02040816326530612 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[1];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[2];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[3];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[4];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[5];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[6];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[7];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[8];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[9];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[10];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[11];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[12];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[13];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[14];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[15];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[16];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[17];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[18];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[19];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[20];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[21];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[22];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[23];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[24];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[25];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[26];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[27];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[28];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[29];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[30];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[31];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[32];
	v[0] = 0.012345679012345678 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[33];
	v[2] = 0.012195121951219513 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[34];
	v[0] = 0.012048192771084338 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[35];
	v[2] = 0.011904761904761904 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[36];
	v[0] = 0.011764705882352941 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[37];
	v[2] = 0.011627906976744186 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[38];
	v[0] = 0.011494252873563218 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[39];
	v[2] = 0.011363636363636364 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[40];
	v[0] = 0.011235955056179775 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[41];
	v[2] = 0.011111111111111112 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[42];
	v[0] = 0.01098901098901099 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[43];
	v[2] = 0.010869565217391304 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[44];
	v[0] = 0.010752688172043012 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[45];
	v[2] = 0.010638297872340425 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[46];
	v[0] = 0.010526315789473684 * v[2];
	v[1] += v[0];
	v[0] = x[48] * x[47];
	v[2] = 0.010416666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[48] * x[48];
	v[0] = 5.005154639175258 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[0];
	v[2] = 0.02 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[1];
	v[0] = 0.0196078431372549 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[2];
	v[2] = 0.019230769230769232 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[3];
	v[0] = 0.018867924528301886 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[4];
	v[2] = 0.018518518518518517 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[5];
	v[0] = 0.01818181818181818 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[6];
	v[2] = 0.017857142857142856 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[7];
	v[0] = 0.017543859649122806 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[8];
	v[2] = 0.017241379310344827 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[9];
	v[0] = 0.01694915254237288 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[10];
	v[2] = 0.016666666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[11];
	v[0] = 0.01639344262295082 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[12];
	v[2] = 0.016129032258064516 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[13];
	v[0] = 0.015873015873015872 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[14];
	v[2] = 0.015625 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[15];
	v[0] = 0.015384615384615385 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[16];
	v[2] = 0.015151515151515152 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[17];
	v[0] = 0.014925373134328358 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[18];
	v[2] = 0.014705882352941176 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[19];
	v[0] = 0.014492753623188406 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[20];
	v[2] = 0.014285714285714285 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[21];
	v[0] = 0.014084507042253521 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[22];
	v[2] = 0.013888888888888888 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[23];
	v[0] = 0.0136986301369863 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[24];
	v[2] = 0.013513513513513514 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[25];
	v[0] = 0.013333333333333334 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[26];
	v[2] = 0.013157894736842105 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[27];
	v[0] = 0.012987012987012988 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[28];
	v[2] = 0.01282051282051282 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[29];
	v[0] = 0.012658227848101266 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[30];
	v[2] = 0.0125 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[31];
	v[0] = 0.012345679012345678 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[32];
	v[2] = 0.012195121951219513 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[33];
	v[0] = 0.012048192771084338 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[34];
	v[2] = 0.011904761904761904 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[35];
	v[0] = 0.011764705882352941 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[36];
	v[2] = 0.011627906976744186 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[37];
	v[0] = 0.011494252873563218 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[38];
	v[2] = 0.011363636363636364 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[39];
	v[0] = 0.011235955056179775 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[40];
	v[2] = 0.011111111111111112 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[41];
	v[0] = 0.01098901098901099 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[42];
	v[2] = 0.010869565217391304 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[43];
	v[0] = 0.010752688172043012 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[44];
	v[2] = 0.010638297872340425 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[45];
	v[0] = 0.010526315789473684 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[46];
	v[2] = 0.010416666666666666 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[47];
	v[0] = 0.010309278350515464 * v[2];
	v[1] += v[0];
	v[0] = x[49] * x[48];
	v[2] = 0.01020408163265306 * v[0];
	v[1] += v[2];
	v[2] = x[49] * x[49];
	v[0] = 5.005050505050505 * v[2];
	v[1] += v[0];

	return v[1];
}

 void
ceval0_(real *x, real *c)
{}
#ifdef __cplusplus
	}
#endif

#include <stdio.h>
#include <stdlib.h>

main(int argc, char **argv)
{

FILE *file_input;
real *x_input, f_val, *c_val;
double *input_values;
fint objective_number;
int i;

x_input = malloc (50 * sizeof(real));
input_values = malloc (50 * sizeof(double));
c_val = malloc (0 * sizeof(real));

file_input = fopen("input.in","r");
for (i=0; i < 50; i++)
    fscanf(file_input, "%lf" ,&input_values[i]);

fclose(file_input);
for (i=0; i < 50; i++)
 {
    x_input[i] = input_values[i];
 }

f_val = feval0_(&objective_number, x_input);

FILE *output_out;
output_out = fopen ("output.out","w");
fprintf(output_out,"%30.15f\n",f_val);
fclose(output_out);

}
