#include "math.h"
#include "errno.h"
#ifndef fint
#ifndef Long
#include "arith.h"	/* for Long */
#ifndef Long
#define Long long
#endif
#endif
#define fint Long
#endif
#ifndef real
#define real double
#endif
#ifdef __cplusplus
extern "C" {
#endif
 real acosh_(real *);
 real asinh_(real *);
 real acoshd_(real *, real *);
 real asinhd_(real *, real *);
 void in_trouble(char *, real);
 void in_trouble2(char *, real, real);
 void domain_(char *, real *, fint);
 void zerdiv_(real *);
 fint auxcom_[1] = { 0 /* nlc */ };
 fint funcom_[6] = {
	8 /* nvar */,
	1 /* nobj */,
	0 /* ncon */,
	0 /* nzc */,
	0 /* densejac */,

	/* objtype (0 = minimize, 1 = maximize) */

	0 };

 real boundc_[1+16+0] /* Infinity, variable bounds, constraint bounds */ = {
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		0.03,
		1.7e80,
		-1.7e80,
		1.7e80};

 real x0comn_[8] = {
		1.,
		1.,
		1.,
		1.,
		1.,
		1.,
		0.03,
		1. };

 real
feval0_(fint *nobj, real *x)
{
	real v[3];


  /***  objective ***/

	v[0] = 4.419446 - x[0];
	v[1] = v[0] - x[7];
	v[0] = v[1] * v[1];
	v[1] = -0.019495419876 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 3.564931 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -0.019495419876 * x[1];
	v[1] += v[2];
	v[2] = -0.000380071396141536 * x[2];
	v[1] += v[2];
	v[2] = -7.40965145063677e-06 * x[3];
	v[1] += v[2];
	v[2] = -1.44454266164976e-07 * x[4];
	v[1] += v[2];
	v[2] = -2.81619657176567e-09 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -0.068538716401 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = 2.139067 - v[2];
	v[2] = v[1] - x[0];
	v[1] = -0.068538716401 * x[1];
	v[2] += v[1];
	v[1] = -0.00469755564589671 * x[2];
	v[2] += v[1];
	v[1] = -0.000321964434192031 * x[3];
	v[2] += v[1];
	v[1] = -2.2067029046296e-05 * x[4];
	v[2] += v[1];
	v[1] = -1.51244584561671e-06 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];
	v[1] = -0.190385614224 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 0.404686 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -0.190385614224 * x[1];
	v[1] += v[2];
	v[2] = -0.0362466821034498 * x[2];
	v[1] += v[2];
	v[2] = -0.00690084683584735 * x[3];
	v[1] += v[2];
	v[2] = -0.00131382196350854 * x[4];
	v[1] += v[2];
	v[2] = -0.000250132801503556 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -0.319501910025 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = -v[2];
	v[2] = v[1] - x[0];
	v[1] = -0.319501910025 * x[1];
	v[2] += v[1];
	v[1] = -0.102081470509623 * x[2];
	v[2] += v[1];
	v[1] = -0.0326152248059853 * x[3];
	v[2] += v[1];
	v[1] = -0.0104206266214071 * x[4];
	v[2] += v[1];
	v[1] = -0.00332941010919692 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];
	v[1] = -0.263109495364 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 0.035152 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -0.263109495364 * x[1];
	v[1] += v[2];
	v[2] = -0.0692266065506987 * x[2];
	v[1] += v[2];
	v[2] = -0.0182141775153165 * x[3];
	v[1] += v[2];
	v[2] = -0.00479232305452525 * x[4];
	v[1] += v[2];
	v[2] = -0.0012609057004974 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -0.373156048225 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = 0.146813 - v[2];
	v[2] = v[1] - x[0];
	v[1] = -0.373156048225 * x[1];
	v[2] += v[1];
	v[1] = -0.139245436326899 * x[2];
	v[2] += v[1];
	v[1] = -0.0519602767531113 * x[3];
	v[2] += v[1];
	v[1] = -0.0193892915378684 * x[4];
	v[2] += v[1];
	v[1] = -0.00723523140815339 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];
	v[1] = -0.616850018404 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 2.718058 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -0.616850018404 * x[1];
	v[1] += v[2];
	v[2] = -0.380503945205015 * x[2];
	v[1] += v[2];
	v[2] = -0.234713865602508 * x[3];
	v[1] += v[2];
	v[2] = -0.144783252316581 * x[4];
	v[1] += v[2];
	v[2] = -0.0893095518560741 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -0.921467524761 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = 9.474417 - v[2];
	v[2] = v[1] - x[0];
	v[1] = -0.921467524761 * x[1];
	v[2] += v[1];
	v[1] = -0.849102399189164 * x[2];
	v[2] += v[1];
	v[1] = -0.782420286049465 * x[3];
	v[2] += v[1];
	v[1] = -0.720974884308795 * x[4];
	v[2] += v[1];
	v[1] = -0.664354942058873 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];
	v[1] = -1.287008567296 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 26.132221 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -1.287008567296 * x[1];
	v[1] += v[2];
	v[2] = -1.6563910522933 * x[2];
	v[1] += v[2];
	v[2] = -2.13178947509392 * x[3];
	v[1] += v[2];
	v[2] = -2.74363131811731 * x[4];
	v[1] += v[2];
	v[2] = -3.5310770119186 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -1.713473146009 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = 41.451561 - v[2];
	v[2] = v[1] - x[0];
	v[1] = -1.713473146009 * x[1];
	v[2] += v[1];
	v[1] = -2.93599022209398 * x[2];
	v[2] += v[1];
	v[1] = -5.03074040250303 * x[3];
	v[2] += v[1];
	v[1] = -8.62003858423146 * x[4];
	v[2] += v[1];
	v[1] = -14.770204631642 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];
	v[1] = -2.2008612609 * x[6];
	v[2] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = v[2] * x[7];
	v[2] = 72.283164 - v[1];
	v[1] = v[2] - x[0];
	v[2] = -2.2008612609 * x[1];
	v[1] += v[2];
	v[2] = -4.84379028973034 * x[2];
	v[1] += v[2];
	v[2] = -10.6605104045911 * x[3];
	v[1] += v[2];
	v[2] = -23.4623043708859 * x[4];
	v[1] += v[2];
	v[2] = -51.6372767813275 * x[5];
	v[1] += v[2];
	v[2] = v[1] * v[1];
	v[0] += v[2];
	v[2] = -2.749172911969 * x[6];
	v[1] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = v[1] * x[7];
	v[1] = 117.630959 - v[2];
	v[2] = v[1] - x[0];
	v[1] = -2.749172911969 * x[1];
	v[2] += v[1];
	v[1] = -7.55795169990411 * x[2];
	v[2] += v[1];
	v[1] = -20.7781160833464 * x[3];
	v[2] += v[1];
	v[1] = -57.1226338980835 * x[4];
	v[2] += v[1];
	v[1] = -157.039997772933 * x[5];
	v[2] += v[1];
	v[1] = v[2] * v[2];
	v[0] += v[1];

	return v[0];
}

 void
ceval0_(real *x, real *c)
{}
#ifdef __cplusplus
	}
#endif

#include <stdio.h>
#include <stdlib.h>

main(int argc, char **argv)
{

FILE *file_input;
real *x_input, f_val, *c_val;
double *input_values;
fint objective_number;
int i;

x_input = malloc (8 * sizeof(real));
input_values = malloc (8 * sizeof(double));
c_val = malloc (0 * sizeof(real));

file_input = fopen("input.in","r");
for (i=0; i < 8; i++)
    fscanf(file_input, "%lf" ,&input_values[i]);

fclose(file_input);
for (i=0; i < 8; i++)
 {
    x_input[i] = input_values[i];
 }

f_val = feval0_(&objective_number, x_input);

FILE *output_out;
output_out = fopen ("output.out","w");
fprintf(output_out,"%30.15f\n",f_val);
fclose(output_out);

}
