#include "math.h"
#include "errno.h"
#ifndef fint
#ifndef Long
#include "arith.h"	/* for Long */
#ifndef Long
#define Long long
#endif
#endif
#define fint Long
#endif
#ifndef real
#define real double
#endif
#ifdef __cplusplus
extern "C" {
#endif
 real acosh_(real *);
 real asinh_(real *);
 real acoshd_(real *, real *);
 real asinhd_(real *, real *);
 void in_trouble(char *, real);
 void in_trouble2(char *, real, real);
 void domain_(char *, real *, fint);
 void zerdiv_(real *);
 fint auxcom_[1] = { 0 /* nlc */ };
 fint funcom_[6] = {
	5 /* nvar */,
	1 /* nobj */,
	0 /* ncon */,
	0 /* nzc */,
	0 /* densejac */,

	/* objtype (0 = minimize, 1 = maximize) */

	0 };

 real boundc_[1+10+0] /* Infinity, variable bounds, constraint bounds */ = {
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80};

 real x0comn_[5] = {
		0.1,
		0.1,
		0.1,
		0.1,
		0.1 };

 real
feval0_(fint *nobj, real *x)
{
	real v[24];


	/*** defined variable 1 ***/

	v[0] = 0.354033 * x[0];
	v[1] = -0.0230349 * x[1];
	v[0] += v[1];
	v[1] = -0.211938 * x[2];
	v[0] += v[1];
	v[1] = -0.0554288 * x[3];
	v[0] += v[1];
	v[1] = 0.220429 * x[4];
	v[0] += v[1];
	v[1] = x[0] * v[0];
	v[0] = 1.173295 * v[1];
	v[1] = -0.0230349 * x[0];
	v[2] = 0.29135 * x[1];
	v[1] += v[2];
	v[2] = -0.00180333 * x[2];
	v[1] += v[2];
	v[2] = -0.111141 * x[3];
	v[1] += v[2];
	v[2] = 0.0485461 * x[4];
	v[1] += v[2];
	v[2] = x[1] * v[1];
	v[1] = 1.173295 * v[2];
	v[14] = v[0] + v[1];
	v[1] = -0.211938 * x[0];
	v[2] = -0.00180333 * x[1];
	v[1] += v[2];
	v[2] = 0.815808 * x[2];
	v[1] += v[2];
	v[2] = -0.133538 * x[3];
	v[1] += v[2];
	v[2] = -0.38067 * x[4];
	v[1] += v[2];
	v[2] = x[2] * v[1];
	v[1] = 1.173295 * v[2];
	v[14] += v[1];
	v[1] = -0.0554288 * x[0];
	v[2] = -0.111141 * x[1];
	v[1] += v[2];
	v[2] = -0.133538 * x[2];
	v[1] += v[2];
	v[2] = 0.389198 * x[3];
	v[1] += v[2];
	v[2] = -0.131586 * x[4];
	v[1] += v[2];
	v[2] = x[3] * v[1];
	v[1] = 1.173295 * v[2];
	v[14] += v[1];
	v[1] = 0.220429 * x[0];
	v[2] = 0.0485461 * x[1];
	v[1] += v[2];
	v[2] = -0.38067 * x[2];
	v[1] += v[2];
	v[2] = -0.131586 * x[3];
	v[1] += v[2];
	v[2] = 0.534706 * x[4];
	v[1] += v[2];
	v[2] = x[4] * v[1];
	v[1] = 1.173295 * v[2];
	v[14] += v[1];
	v[14] += 0.0426149;
	v[14] = v[14] - 0.564255*x[0];
	v[14] += 0.392417*x[1];
	v[14] -= 0.404979*x[2];
	v[14] += 0.927589*x[3];
	v[14] -= 0.0735084*x[4];

	/*** defined variable 2 ***/

	v[1] = 0.354033 * x[0];
	v[2] = -0.0230349 * x[1];
	v[1] += v[2];
	v[2] = -0.211938 * x[2];
	v[1] += v[2];
	v[2] = -0.0554288 * x[3];
	v[1] += v[2];
	v[2] = 0.220429 * x[4];
	v[1] += v[2];
	v[2] = x[0] * v[1];
	v[1] = 1.42024 * v[2];
	v[2] = -0.0230349 * x[0];
	v[3] = 0.29135 * x[1];
	v[2] += v[3];
	v[3] = -0.00180333 * x[2];
	v[2] += v[3];
	v[3] = -0.111141 * x[3];
	v[2] += v[3];
	v[3] = 0.0485461 * x[4];
	v[2] += v[3];
	v[3] = x[1] * v[2];
	v[2] = 1.42024 * v[3];
	v[15] = v[1] + v[2];
	v[2] = -0.211938 * x[0];
	v[3] = -0.00180333 * x[1];
	v[2] += v[3];
	v[3] = 0.815808 * x[2];
	v[2] += v[3];
	v[3] = -0.133538 * x[3];
	v[2] += v[3];
	v[3] = -0.38067 * x[4];
	v[2] += v[3];
	v[3] = x[2] * v[2];
	v[2] = 1.42024 * v[3];
	v[15] += v[2];
	v[2] = -0.0554288 * x[0];
	v[3] = -0.111141 * x[1];
	v[2] += v[3];
	v[3] = -0.133538 * x[2];
	v[2] += v[3];
	v[3] = 0.389198 * x[3];
	v[2] += v[3];
	v[3] = -0.131586 * x[4];
	v[2] += v[3];
	v[3] = x[3] * v[2];
	v[2] = 1.42024 * v[3];
	v[15] += v[2];
	v[2] = 0.220429 * x[0];
	v[3] = 0.0485461 * x[1];
	v[2] += v[3];
	v[3] = -0.38067 * x[2];
	v[2] += v[3];
	v[3] = -0.131586 * x[3];
	v[2] += v[3];
	v[3] = 0.534706 * x[4];
	v[2] += v[3];
	v[3] = x[4] * v[2];
	v[2] = 1.42024 * v[3];
	v[15] += v[2];
	v[15] += 0.0352053;
	v[15] = v[15] + 0.535493*x[0];
	v[15] += 0.658799*x[1];
	v[15] -= 0.636666*x[2];
	v[15] -= 0.681091*x[3];
	v[15] -= 0.869487*x[4];

	/*** defined variable 3 ***/

	v[2] = 0.354033 * x[0];
	v[3] = -0.0230349 * x[1];
	v[2] += v[3];
	v[3] = -0.211938 * x[2];
	v[2] += v[3];
	v[3] = -0.0554288 * x[3];
	v[2] += v[3];
	v[3] = 0.220429 * x[4];
	v[2] += v[3];
	v[3] = x[0] * v[2];
	v[2] = 0.56444 * v[3];
	v[3] = -0.0230349 * x[0];
	v[4] = 0.29135 * x[1];
	v[3] += v[4];
	v[4] = -0.00180333 * x[2];
	v[3] += v[4];
	v[4] = -0.111141 * x[3];
	v[3] += v[4];
	v[4] = 0.0485461 * x[4];
	v[3] += v[4];
	v[4] = x[1] * v[3];
	v[3] = 0.56444 * v[4];
	v[16] = v[2] + v[3];
	v[3] = -0.211938 * x[0];
	v[4] = -0.00180333 * x[1];
	v[3] += v[4];
	v[4] = 0.815808 * x[2];
	v[3] += v[4];
	v[4] = -0.133538 * x[3];
	v[3] += v[4];
	v[4] = -0.38067 * x[4];
	v[3] += v[4];
	v[4] = x[2] * v[3];
	v[3] = 0.56444 * v[4];
	v[16] += v[3];
	v[3] = -0.0554288 * x[0];
	v[4] = -0.111141 * x[1];
	v[3] += v[4];
	v[4] = -0.133538 * x[2];
	v[3] += v[4];
	v[4] = 0.389198 * x[3];
	v[3] += v[4];
	v[4] = -0.131586 * x[4];
	v[3] += v[4];
	v[4] = x[3] * v[3];
	v[3] = 0.56444 * v[4];
	v[16] += v[3];
	v[3] = 0.220429 * x[0];
	v[4] = 0.0485461 * x[1];
	v[3] += v[4];
	v[4] = -0.38067 * x[2];
	v[3] += v[4];
	v[4] = -0.131586 * x[3];
	v[3] += v[4];
	v[4] = 0.534706 * x[4];
	v[3] += v[4];
	v[4] = x[4] * v[3];
	v[3] = 0.56444 * v[4];
	v[16] += v[3];
	v[16] += 0.0878058;
	v[16] = v[16] + 0.586387*x[0];
	v[16] += 0.289826*x[1];
	v[16] += 0.854402*x[2];
	v[16] += 0.789312*x[3];
	v[16] += 0.949721*x[4];

	/*** defined variable 4 ***/

	v[3] = 0.354033 * x[0];
	v[4] = -0.0230349 * x[1];
	v[3] += v[4];
	v[4] = -0.211938 * x[2];
	v[3] += v[4];
	v[4] = -0.0554288 * x[3];
	v[3] += v[4];
	v[4] = 0.220429 * x[4];
	v[3] += v[4];
	v[4] = x[0] * v[3];
	v[3] = 1.51143 * v[4];
	v[4] = -0.0230349 * x[0];
	v[5] = 0.29135 * x[1];
	v[4] += v[5];
	v[5] = -0.00180333 * x[2];
	v[4] += v[5];
	v[5] = -0.111141 * x[3];
	v[4] += v[5];
	v[5] = 0.0485461 * x[4];
	v[4] += v[5];
	v[5] = x[1] * v[4];
	v[4] = 1.51143 * v[5];
	v[17] = v[3] + v[4];
	v[4] = -0.211938 * x[0];
	v[5] = -0.00180333 * x[1];
	v[4] += v[5];
	v[5] = 0.815808 * x[2];
	v[4] += v[5];
	v[5] = -0.133538 * x[3];
	v[4] += v[5];
	v[5] = -0.38067 * x[4];
	v[4] += v[5];
	v[5] = x[2] * v[4];
	v[4] = 1.51143 * v[5];
	v[17] += v[4];
	v[4] = -0.0554288 * x[0];
	v[5] = -0.111141 * x[1];
	v[4] += v[5];
	v[5] = -0.133538 * x[2];
	v[4] += v[5];
	v[5] = 0.389198 * x[3];
	v[4] += v[5];
	v[5] = -0.131586 * x[4];
	v[4] += v[5];
	v[5] = x[3] * v[4];
	v[4] = 1.51143 * v[5];
	v[17] += v[4];
	v[4] = 0.220429 * x[0];
	v[5] = 0.0485461 * x[1];
	v[4] += v[5];
	v[5] = -0.38067 * x[2];
	v[4] += v[5];
	v[5] = -0.131586 * x[3];
	v[4] += v[5];
	v[5] = 0.534706 * x[4];
	v[4] += v[5];
	v[5] = x[4] * v[4];
	v[4] = 1.51143 * v[5];
	v[17] += v[4];
	v[17] += 0.0330812;
	v[17] = v[17] + 0.608734*x[0];
	v[17] += 0.984915*x[1];
	v[17] += 0.375699*x[2];
	v[17] += 0.239547*x[3];
	v[17] += 0.463136*x[4];

	/*** defined variable 5 ***/

	v[4] = 0.354033 * x[0];
	v[5] = -0.0230349 * x[1];
	v[4] += v[5];
	v[5] = -0.211938 * x[2];
	v[4] += v[5];
	v[5] = -0.0554288 * x[3];
	v[4] += v[5];
	v[5] = 0.220429 * x[4];
	v[4] += v[5];
	v[5] = x[0] * v[4];
	v[4] = 0.860695 * v[5];
	v[5] = -0.0230349 * x[0];
	v[6] = 0.29135 * x[1];
	v[5] += v[6];
	v[6] = -0.00180333 * x[2];
	v[5] += v[6];
	v[6] = -0.111141 * x[3];
	v[5] += v[6];
	v[6] = 0.0485461 * x[4];
	v[5] += v[6];
	v[6] = x[1] * v[5];
	v[5] = 0.860695 * v[6];
	v[18] = v[4] + v[5];
	v[5] = -0.211938 * x[0];
	v[6] = -0.00180333 * x[1];
	v[5] += v[6];
	v[6] = 0.815808 * x[2];
	v[5] += v[6];
	v[6] = -0.133538 * x[3];
	v[5] += v[6];
	v[6] = -0.38067 * x[4];
	v[5] += v[6];
	v[6] = x[2] * v[5];
	v[5] = 0.860695 * v[6];
	v[18] += v[5];
	v[5] = -0.0554288 * x[0];
	v[6] = -0.111141 * x[1];
	v[5] += v[6];
	v[6] = -0.133538 * x[2];
	v[5] += v[6];
	v[6] = 0.389198 * x[3];
	v[5] += v[6];
	v[6] = -0.131586 * x[4];
	v[5] += v[6];
	v[6] = x[3] * v[5];
	v[5] = 0.860695 * v[6];
	v[18] += v[5];
	v[5] = 0.220429 * x[0];
	v[6] = 0.0485461 * x[1];
	v[5] += v[6];
	v[6] = -0.38067 * x[2];
	v[5] += v[6];
	v[6] = -0.131586 * x[3];
	v[5] += v[6];
	v[6] = 0.534706 * x[4];
	v[5] += v[6];
	v[6] = x[4] * v[5];
	v[5] = 0.860695 * v[6];
	v[18] += v[5];
	v[18] += 0.0580924;
	v[18] = v[18] + 0.774227*x[0];
	v[18] += 0.325421*x[1];
	v[18] -= 0.151719*x[2];
	v[18] += 0.448051*x[3];
	v[18] += 0.149926*x[4];

	/*** defined variable 6 ***/

	v[5] = 0.354033 * x[0];
	v[6] = -0.0230349 * x[1];
	v[5] += v[6];
	v[6] = -0.211938 * x[2];
	v[5] += v[6];
	v[6] = -0.0554288 * x[3];
	v[5] += v[6];
	v[6] = 0.220429 * x[4];
	v[5] += v[6];
	v[6] = x[0] * v[5];
	v[5] = 0.0769585 * v[6];
	v[6] = -0.0230349 * x[0];
	v[7] = 0.29135 * x[1];
	v[6] += v[7];
	v[7] = -0.00180333 * x[2];
	v[6] += v[7];
	v[7] = -0.111141 * x[3];
	v[6] += v[7];
	v[7] = 0.0485461 * x[4];
	v[6] += v[7];
	v[7] = x[1] * v[6];
	v[6] = 0.0769585 * v[7];
	v[19] = v[5] + v[6];
	v[6] = -0.211938 * x[0];
	v[7] = -0.00180333 * x[1];
	v[6] += v[7];
	v[7] = 0.815808 * x[2];
	v[6] += v[7];
	v[7] = -0.133538 * x[3];
	v[6] += v[7];
	v[7] = -0.38067 * x[4];
	v[6] += v[7];
	v[7] = x[2] * v[6];
	v[6] = 0.0769585 * v[7];
	v[19] += v[6];
	v[6] = -0.0554288 * x[0];
	v[7] = -0.111141 * x[1];
	v[6] += v[7];
	v[7] = -0.133538 * x[2];
	v[6] += v[7];
	v[7] = 0.389198 * x[3];
	v[6] += v[7];
	v[7] = -0.131586 * x[4];
	v[6] += v[7];
	v[7] = x[3] * v[6];
	v[6] = 0.0769585 * v[7];
	v[19] += v[6];
	v[6] = 0.220429 * x[0];
	v[7] = 0.0485461 * x[1];
	v[6] += v[7];
	v[7] = -0.38067 * x[2];
	v[6] += v[7];
	v[7] = -0.131586 * x[3];
	v[6] += v[7];
	v[7] = 0.534706 * x[4];
	v[6] += v[7];
	v[7] = x[4] * v[6];
	v[6] = 0.0769585 * v[7];
	v[19] += v[6];
	v[19] += 0.649704;
	v[19] = v[19] - 0.435033*x[0];
	v[19] -= 0.688583*x[1];
	v[19] += 0.222278*x[2];
	v[19] -= 0.524653*x[3];
	v[19] += 0.413248*x[4];

	/*** defined variable 7 ***/

	v[6] = 0.354033 * x[0];
	v[7] = -0.0230349 * x[1];
	v[6] += v[7];
	v[7] = -0.211938 * x[2];
	v[6] += v[7];
	v[7] = -0.0554288 * x[3];
	v[6] += v[7];
	v[7] = 0.220429 * x[4];
	v[6] += v[7];
	v[7] = x[0] * v[6];
	v[6] = 0.1452885 * v[7];
	v[7] = -0.0230349 * x[0];
	v[8] = 0.29135 * x[1];
	v[7] += v[8];
	v[8] = -0.00180333 * x[2];
	v[7] += v[8];
	v[8] = -0.111141 * x[3];
	v[7] += v[8];
	v[8] = 0.0485461 * x[4];
	v[7] += v[8];
	v[8] = x[1] * v[7];
	v[7] = 0.1452885 * v[8];
	v[20] = v[6] + v[7];
	v[7] = -0.211938 * x[0];
	v[8] = -0.00180333 * x[1];
	v[7] += v[8];
	v[8] = 0.815808 * x[2];
	v[7] += v[8];
	v[8] = -0.133538 * x[3];
	v[7] += v[8];
	v[8] = -0.38067 * x[4];
	v[7] += v[8];
	v[8] = x[2] * v[7];
	v[7] = 0.1452885 * v[8];
	v[20] += v[7];
	v[7] = -0.0554288 * x[0];
	v[8] = -0.111141 * x[1];
	v[7] += v[8];
	v[8] = -0.133538 * x[2];
	v[7] += v[8];
	v[8] = 0.389198 * x[3];
	v[7] += v[8];
	v[8] = -0.131586 * x[4];
	v[7] += v[8];
	v[8] = x[3] * v[7];
	v[7] = 0.1452885 * v[8];
	v[20] += v[7];
	v[7] = 0.220429 * x[0];
	v[8] = 0.0485461 * x[1];
	v[7] += v[8];
	v[8] = -0.38067 * x[2];
	v[7] += v[8];
	v[8] = -0.131586 * x[3];
	v[7] += v[8];
	v[8] = 0.534706 * x[4];
	v[7] += v[8];
	v[8] = x[4] * v[7];
	v[7] = 0.1452885 * v[8];
	v[20] += v[7];
	v[20] += 0.344144;
	v[20] = v[20] + 0.759468*x[0];
	v[20] -= 0.627795*x[1];
	v[20] += 0.0403142*x[2];
	v[20] += 0.724666*x[3];
	v[20] -= 0.0182537*x[4];

	/*** defined variable 8 ***/

	v[7] = 0.354033 * x[0];
	v[8] = -0.0230349 * x[1];
	v[7] += v[8];
	v[8] = -0.211938 * x[2];
	v[7] += v[8];
	v[8] = -0.0554288 * x[3];
	v[7] += v[8];
	v[8] = 0.220429 * x[4];
	v[7] += v[8];
	v[8] = x[0] * v[7];
	v[7] = -0.079689 * v[8];
	v[8] = -0.0230349 * x[0];
	v[9] = 0.29135 * x[1];
	v[8] += v[9];
	v[9] = -0.00180333 * x[2];
	v[8] += v[9];
	v[9] = -0.111141 * x[3];
	v[8] += v[9];
	v[9] = 0.0485461 * x[4];
	v[8] += v[9];
	v[9] = x[1] * v[8];
	v[8] = -0.079689 * v[9];
	v[21] = v[7] + v[8];
	v[8] = -0.211938 * x[0];
	v[9] = -0.00180333 * x[1];
	v[8] += v[9];
	v[9] = 0.815808 * x[2];
	v[8] += v[9];
	v[9] = -0.133538 * x[3];
	v[8] += v[9];
	v[9] = -0.38067 * x[4];
	v[8] += v[9];
	v[9] = x[2] * v[8];
	v[8] = -0.079689 * v[9];
	v[21] += v[8];
	v[8] = -0.0554288 * x[0];
	v[9] = -0.111141 * x[1];
	v[8] += v[9];
	v[9] = -0.133538 * x[2];
	v[8] += v[9];
	v[9] = 0.389198 * x[3];
	v[8] += v[9];
	v[9] = -0.131586 * x[4];
	v[8] += v[9];
	v[9] = x[3] * v[8];
	v[8] = -0.079689 * v[9];
	v[21] += v[8];
	v[8] = 0.220429 * x[0];
	v[9] = 0.0485461 * x[1];
	v[8] += v[9];
	v[9] = -0.38067 * x[2];
	v[8] += v[9];
	v[9] = -0.131586 * x[3];
	v[8] += v[9];
	v[9] = 0.534706 * x[4];
	v[8] += v[9];
	v[9] = x[4] * v[8];
	v[8] = -0.079689 * v[9];
	v[21] += v[8];
	v[21] += -0.627443;
	v[21] = v[21] - 0.152448*x[0];
	v[21] -= 0.546437*x[1];
	v[21] += 0.484134*x[2];
	v[21] += 0.353951*x[3];
	v[21] += 0.887866*x[4];

	/*** defined variable 9 ***/

	v[8] = 0.354033 * x[0];
	v[9] = -0.0230349 * x[1];
	v[8] += v[9];
	v[9] = -0.211938 * x[2];
	v[8] += v[9];
	v[9] = -0.0554288 * x[3];
	v[8] += v[9];
	v[9] = 0.220429 * x[4];
	v[8] += v[9];
	v[9] = x[0] * v[8];
	v[8] = 27.3455 * v[9];
	v[9] = -0.0230349 * x[0];
	v[10] = 0.29135 * x[1];
	v[9] += v[10];
	v[10] = -0.00180333 * x[2];
	v[9] += v[10];
	v[10] = -0.111141 * x[3];
	v[9] += v[10];
	v[10] = 0.0485461 * x[4];
	v[9] += v[10];
	v[10] = x[1] * v[9];
	v[9] = 27.3455 * v[10];
	v[22] = v[8] + v[9];
	v[9] = -0.211938 * x[0];
	v[10] = -0.00180333 * x[1];
	v[9] += v[10];
	v[10] = 0.815808 * x[2];
	v[9] += v[10];
	v[10] = -0.133538 * x[3];
	v[9] += v[10];
	v[10] = -0.38067 * x[4];
	v[9] += v[10];
	v[10] = x[2] * v[9];
	v[9] = 27.3455 * v[10];
	v[22] += v[9];
	v[9] = -0.0554288 * x[0];
	v[10] = -0.111141 * x[1];
	v[9] += v[10];
	v[10] = -0.133538 * x[2];
	v[9] += v[10];
	v[10] = 0.389198 * x[3];
	v[9] += v[10];
	v[10] = -0.131586 * x[4];
	v[9] += v[10];
	v[10] = x[3] * v[9];
	v[9] = 27.3455 * v[10];
	v[22] += v[9];
	v[9] = 0.220429 * x[0];
	v[10] = 0.0485461 * x[1];
	v[9] += v[10];
	v[10] = -0.38067 * x[2];
	v[9] += v[10];
	v[10] = -0.131586 * x[3];
	v[9] += v[10];
	v[10] = 0.534706 * x[4];
	v[9] += v[10];
	v[10] = x[4] * v[9];
	v[9] = 27.3455 * v[10];
	v[22] += v[9];
	v[22] += 0.001828;
	v[22] = v[22] - 0.821772*x[0];
	v[22] -= 0.53412*x[1];
	v[22] -= 0.798498*x[2];
	v[22] -= 0.658572*x[3];
	v[22] += 0.662362*x[4];

	/*** defined variable 10 ***/

	v[9] = 0.354033 * x[0];
	v[10] = -0.0230349 * x[1];
	v[9] += v[10];
	v[10] = -0.211938 * x[2];
	v[9] += v[10];
	v[10] = -0.0554288 * x[3];
	v[9] += v[10];
	v[10] = 0.220429 * x[4];
	v[9] += v[10];
	v[10] = x[0] * v[9];
	v[9] = -0.2224365 * v[10];
	v[10] = -0.0230349 * x[0];
	v[11] = 0.29135 * x[1];
	v[10] += v[11];
	v[11] = -0.00180333 * x[2];
	v[10] += v[11];
	v[11] = -0.111141 * x[3];
	v[10] += v[11];
	v[11] = 0.0485461 * x[4];
	v[10] += v[11];
	v[11] = x[1] * v[10];
	v[10] = -0.2224365 * v[11];
	v[23] = v[9] + v[10];
	v[10] = -0.211938 * x[0];
	v[11] = -0.00180333 * x[1];
	v[10] += v[11];
	v[11] = 0.815808 * x[2];
	v[10] += v[11];
	v[11] = -0.133538 * x[3];
	v[10] += v[11];
	v[11] = -0.38067 * x[4];
	v[10] += v[11];
	v[11] = x[2] * v[10];
	v[10] = -0.2224365 * v[11];
	v[23] += v[10];
	v[10] = -0.0554288 * x[0];
	v[11] = -0.111141 * x[1];
	v[10] += v[11];
	v[11] = -0.133538 * x[2];
	v[10] += v[11];
	v[11] = 0.389198 * x[3];
	v[10] += v[11];
	v[11] = -0.131586 * x[4];
	v[10] += v[11];
	v[11] = x[3] * v[10];
	v[10] = -0.2224365 * v[11];
	v[23] += v[10];
	v[10] = 0.220429 * x[0];
	v[11] = 0.0485461 * x[1];
	v[10] += v[11];
	v[11] = -0.38067 * x[2];
	v[10] += v[11];
	v[11] = -0.131586 * x[3];
	v[10] += v[11];
	v[11] = 0.534706 * x[4];
	v[10] += v[11];
	v[11] = x[4] * v[10];
	v[10] = -0.2224365 * v[11];
	v[23] += v[10];
	v[23] += -0.224783;
	v[23] = v[23] + 0.819831*x[0];
	v[23] -= 0.910632*x[1];
	v[23] -= 0.480344*x[2];
	v[23] -= 0.871758*x[3];
	v[23] -= 0.978666*x[4];

  /***  objective ***/

	v[12] = v[14] * v[14];
	v[13] = v[15] * v[15];
	v[12] += v[13];
	v[13] = v[16] * v[16];
	v[12] += v[13];
	v[13] = v[17] * v[17];
	v[12] += v[13];
	v[13] = v[18] * v[18];
	v[12] += v[13];
	v[13] = v[19] * v[19];
	v[12] += v[13];
	v[13] = v[20] * v[20];
	v[12] += v[13];
	v[13] = v[21] * v[21];
	v[12] += v[13];
	v[13] = v[22] * v[22];
	v[12] += v[13];
	v[13] = v[23] * v[23];
	v[12] += v[13];

	return v[12];
}

 void
ceval0_(real *x, real *c)
{}
#ifdef __cplusplus
	}
#endif

#include <stdio.h>
#include <stdlib.h>

main(int argc, char **argv)
{

FILE *file_input;
real *x_input, f_val, *c_val;
double *input_values;
fint objective_number;
int i;

x_input = malloc (5 * sizeof(real));
input_values = malloc (5 * sizeof(double));
c_val = malloc (0 * sizeof(real));

file_input = fopen("input.in","r");
for (i=0; i < 5; i++)
    fscanf(file_input, "%lf" ,&input_values[i]);

fclose(file_input);
for (i=0; i < 5; i++)
 {
    x_input[i] = input_values[i];
 }

f_val = feval0_(&objective_number, x_input);

FILE *output_out;
output_out = fopen ("output.out","w");
fprintf(output_out,"%30.15f\n",f_val);
fclose(output_out);

}
