#include "math.h"
#include "errno.h"
#ifndef fint
#ifndef Long
#include "arith.h"	/* for Long */
#ifndef Long
#define Long long
#endif
#endif
#define fint Long
#endif
#ifndef real
#define real double
#endif
#ifdef __cplusplus
extern "C" {
#endif
 real acosh_(real *);
 real asinh_(real *);
 real acoshd_(real *, real *);
 real asinhd_(real *, real *);
 void in_trouble(char *, real);
 void in_trouble2(char *, real, real);
 void domain_(char *, real *, fint);
 void zerdiv_(real *);
 fint auxcom_[1] = { 0 /* nlc */ };
 fint funcom_[6] = {
	11 /* nvar */,
	1 /* nobj */,
	0 /* ncon */,
	0 /* nzc */,
	0 /* densejac */,

	/* objtype (0 = minimize, 1 = maximize) */

	0 };

 real boundc_[1+22+0] /* Infinity, variable bounds, constraint bounds */ = {
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-20.,
		20.,
		-4.,
		4.,
		-4.,
		4.,
		-4.,
		4.,
		0.,
		10.,
		0.,
		10.,
		0.,
		10.};

 real x0comn_[11] = {
		1.3,
		0.65,
		0.65,
		0.7,
		0.6,
		3.,
		5.,
		7.,
		2.,
		4.5,
		5.5 };

 real
feval0_(fint *nobj, real *x)
{
	real v[4];


  /***  objective ***/

	v[0] = -x[8];
	v[1] = v[0] * v[0];
	v[0] = x[5] * v[1];
	v[1] = -v[0];
	v[0] = exp(v[1]);
	if (errno) in_trouble("exp",v[1]);
	v[1] = x[1] * v[0];
	v[1] += x[0];
	v[0] = -x[9];
	v[2] = v[0] * v[0];
	v[0] = x[6] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[0];
	v[1] += v[2];
	v[2] = -x[10];
	v[0] = v[2] * v[2];
	v[2] = x[7] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[2];
	v[1] += v[0];
	v[0] = 1.366 - v[1];
	v[1] = v[0] * v[0];
	v[0] = 0.1 * x[4];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[0];
	v[0] = 0.1 - x[8];
	v[3] = v[0] * v[0];
	v[0] = x[5] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[0];
	v[2] += v[3];
	v[3] = 0.1 - x[9];
	v[0] = v[3] * v[3];
	v[3] = x[6] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[3];
	v[2] += v[0];
	v[0] = 0.1 - x[10];
	v[3] = v[0] * v[0];
	v[0] = x[7] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[0];
	v[2] += v[3];
	v[3] = 1.191 - v[2];
	v[2] = v[3] * v[3];
	v[1] += v[2];
	v[2] = 0.2 * x[4];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[2];
	v[2] = 0.2 - x[8];
	v[0] = v[2] * v[2];
	v[2] = x[5] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[2];
	v[3] += v[0];
	v[0] = 0.2 - x[9];
	v[2] = v[0] * v[0];
	v[0] = x[6] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[0];
	v[3] += v[2];
	v[2] = 0.2 - x[10];
	v[0] = v[2] * v[2];
	v[2] = x[7] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[2];
	v[3] += v[0];
	v[0] = 1.112 - v[3];
	v[3] = v[0] * v[0];
	v[1] += v[3];
	v[3] = 0.30000000000000004 * x[4];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[3];
	v[3] = 0.30000000000000004 - x[8];
	v[2] = v[3] * v[3];
	v[3] = x[5] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[3];
	v[0] += v[2];
	v[2] = 0.30000000000000004 - x[9];
	v[3] = v[2] * v[2];
	v[2] = x[6] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[2];
	v[0] += v[3];
	v[3] = 0.30000000000000004 - x[10];
	v[2] = v[3] * v[3];
	v[3] = x[7] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[3];
	v[0] += v[2];
	v[2] = 1.013 - v[0];
	v[0] = v[2] * v[2];
	v[1] += v[0];
	v[0] = 0.4 * x[4];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[0];
	v[0] = 0.4 - x[8];
	v[3] = v[0] * v[0];
	v[0] = x[5] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[0];
	v[2] += v[3];
	v[3] = 0.4 - x[9];
	v[0] = v[3] * v[3];
	v[3] = x[6] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[3];
	v[2] += v[0];
	v[0] = 0.4 - x[10];
	v[3] = v[0] * v[0];
	v[0] = x[7] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[0];
	v[2] += v[3];
	v[3] = 0.991 - v[2];
	v[2] = v[3] * v[3];
	v[1] += v[2];
	v[2] = 0.5 * x[4];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[2];
	v[2] = 0.5 - x[8];
	v[0] = v[2] * v[2];
	v[2] = x[5] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[2];
	v[3] += v[0];
	v[0] = 0.5 - x[9];
	v[2] = v[0] * v[0];
	v[0] = x[6] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[0];
	v[3] += v[2];
	v[2] = 0.5 - x[10];
	v[0] = v[2] * v[2];
	v[2] = x[7] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[2];
	v[3] += v[0];
	v[0] = 0.885 - v[3];
	v[3] = v[0] * v[0];
	v[1] += v[3];
	v[3] = 0.6000000000000001 * x[4];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[3];
	v[3] = 0.6000000000000001 - x[8];
	v[2] = v[3] * v[3];
	v[3] = x[5] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[3];
	v[0] += v[2];
	v[2] = 0.6000000000000001 - x[9];
	v[3] = v[2] * v[2];
	v[2] = x[6] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[2];
	v[0] += v[3];
	v[3] = 0.6000000000000001 - x[10];
	v[2] = v[3] * v[3];
	v[3] = x[7] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[3];
	v[0] += v[2];
	v[2] = 0.831 - v[0];
	v[0] = v[2] * v[2];
	v[1] += v[0];
	v[0] = 0.7000000000000001 * x[4];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[0];
	v[0] = 0.7000000000000001 - x[8];
	v[3] = v[0] * v[0];
	v[0] = x[5] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[0];
	v[2] += v[3];
	v[3] = 0.7000000000000001 - x[9];
	v[0] = v[3] * v[3];
	v[3] = x[6] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[3];
	v[2] += v[0];
	v[0] = 0.7000000000000001 - x[10];
	v[3] = v[0] * v[0];
	v[0] = x[7] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[0];
	v[2] += v[3];
	v[3] = 0.847 - v[2];
	v[2] = v[3] * v[3];
	v[1] += v[2];
	v[2] = 0.8 * x[4];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[2];
	v[2] = 0.8 - x[8];
	v[0] = v[2] * v[2];
	v[2] = x[5] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[2];
	v[3] += v[0];
	v[0] = 0.8 - x[9];
	v[2] = v[0] * v[0];
	v[0] = x[6] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[0];
	v[3] += v[2];
	v[2] = 0.8 - x[10];
	v[0] = v[2] * v[2];
	v[2] = x[7] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[2];
	v[3] += v[0];
	v[0] = 0.786 - v[3];
	v[3] = v[0] * v[0];
	v[1] += v[3];
	v[3] = 0.9 * x[4];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[3];
	v[3] = 0.9 - x[8];
	v[2] = v[3] * v[3];
	v[3] = x[5] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[3];
	v[0] += v[2];
	v[2] = 0.9 - x[9];
	v[3] = v[2] * v[2];
	v[2] = x[6] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[2];
	v[0] += v[3];
	v[3] = 0.9 - x[10];
	v[2] = v[3] * v[3];
	v[3] = x[7] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[3];
	v[0] += v[2];
	v[2] = 0.725 - v[0];
	v[0] = v[2] * v[2];
	v[1] += v[0];
	v[0] = -x[4];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 1. - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 1. - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 1. - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.746 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 1.1 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 1.1 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 1.1 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 1.1 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.679 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 1.2000000000000002 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 1.2000000000000002 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 1.2000000000000002 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 1.2000000000000002 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.608 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 1.3 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 1.3 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 1.3 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 1.3 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.655 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 1.4000000000000001 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 1.4000000000000001 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 1.4000000000000001 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 1.4000000000000001 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.616 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 1.5 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 1.5 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 1.5 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 1.5 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.606 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 1.6 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 1.6 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 1.6 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 1.6 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.602 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 1.7000000000000002 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 1.7000000000000002 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 1.7000000000000002 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 1.7000000000000002 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.626 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 1.8 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 1.8 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 1.8 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 1.8 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.651 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 1.9000000000000001 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 1.9000000000000001 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 1.9000000000000001 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 1.9000000000000001 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.724 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 2. * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 2. - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 2. - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 2. - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.649 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 2.1 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 2.1 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 2.1 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 2.1 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.649 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 2.2 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 2.2 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 2.2 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 2.2 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.694 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 2.3000000000000003 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 2.3000000000000003 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 2.3000000000000003 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 2.3000000000000003 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.644 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 2.4000000000000004 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 2.4000000000000004 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 2.4000000000000004 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 2.4000000000000004 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.624 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 2.5 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 2.5 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 2.5 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 2.5 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.661 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 2.6 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 2.6 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 2.6 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 2.6 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.612 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 2.7 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 2.7 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 2.7 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 2.7 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.558 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 2.8000000000000003 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 2.8000000000000003 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 2.8000000000000003 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 2.8000000000000003 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.533 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 2.9000000000000004 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 2.9000000000000004 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 2.9000000000000004 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 2.9000000000000004 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.495 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 3. * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 3. - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 3. - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 3. - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.5 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 3.1 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 3.1 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 3.1 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 3.1 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.423 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 3.2 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 3.2 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 3.2 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 3.2 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.395 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 3.3000000000000003 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 3.3000000000000003 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 3.3000000000000003 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 3.3000000000000003 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.375 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 3.4000000000000004 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 3.4000000000000004 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 3.4000000000000004 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 3.4000000000000004 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.372 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 3.5 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 3.5 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 3.5 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 3.5 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.391 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 3.6 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 3.6 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 3.6 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 3.6 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.396 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 3.7 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 3.7 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 3.7 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 3.7 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.405 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 3.8000000000000003 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 3.8000000000000003 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 3.8000000000000003 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 3.8000000000000003 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.428 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 3.9000000000000004 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 3.9000000000000004 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 3.9000000000000004 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 3.9000000000000004 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.429 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 4. * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 4. - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 4. - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 4. - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.523 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 4.1000000000000005 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 4.1000000000000005 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 4.1000000000000005 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 4.1000000000000005 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.562 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 4.2 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 4.2 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 4.2 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 4.2 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.607 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 4.3 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 4.3 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 4.3 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 4.3 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.653 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 4.4 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 4.4 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 4.4 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 4.4 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.672 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 4.5 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 4.5 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 4.5 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 4.5 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.708 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 4.6000000000000005 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 4.6000000000000005 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 4.6000000000000005 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 4.6000000000000005 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.633 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 4.7 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 4.7 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 4.7 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 4.7 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.668 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 4.800000000000001 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 4.800000000000001 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 4.800000000000001 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 4.800000000000001 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.645 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 4.9 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 4.9 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 4.9 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 4.9 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.632 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 5. * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 5. - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 5. - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 5. - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.591 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 5.1000000000000005 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 5.1000000000000005 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 5.1000000000000005 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 5.1000000000000005 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.559 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 5.2 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 5.2 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 5.2 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 5.2 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.597 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 5.300000000000001 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 5.300000000000001 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 5.300000000000001 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 5.300000000000001 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.625 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 5.4 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 5.4 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 5.4 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 5.4 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.739 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 5.5 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 5.5 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 5.5 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 5.5 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.71 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 5.6000000000000005 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 5.6000000000000005 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 5.6000000000000005 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 5.6000000000000005 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.729 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 5.7 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 5.7 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 5.7 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 5.7 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.72 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 5.800000000000001 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 5.800000000000001 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 5.800000000000001 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 5.800000000000001 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.636 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 5.9 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 5.9 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 5.9 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 5.9 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.581 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 6. * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 6. - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 6. - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 6. - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.428 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 6.1000000000000005 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 6.1000000000000005 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 6.1000000000000005 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 6.1000000000000005 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.292 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];
	v[0] = 6.2 * x[4];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[0] * v[0];
	v[0] = 6.2 - x[8];
	v[2] = v[0] * v[0];
	v[0] = x[5] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[1] * v[0];
	v[3] += v[2];
	v[2] = 6.2 - x[9];
	v[0] = v[2] * v[2];
	v[2] = x[6] * v[0];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[2] * v[2];
	v[3] += v[0];
	v[0] = 6.2 - x[10];
	v[2] = v[0] * v[0];
	v[0] = x[7] * v[2];
	v[2] = -v[0];
	v[0] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[3] * v[0];
	v[3] += v[2];
	v[2] = 0.162 - v[3];
	v[3] = v[2] * v[2];
	v[1] += v[3];
	v[3] = 6.300000000000001 * x[4];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[0] * v[3];
	v[3] = 6.300000000000001 - x[8];
	v[0] = v[3] * v[3];
	v[3] = x[5] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[1] * v[3];
	v[2] += v[0];
	v[0] = 6.300000000000001 - x[9];
	v[3] = v[0] * v[0];
	v[0] = x[6] * v[3];
	v[3] = -v[0];
	v[0] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[2] * v[0];
	v[2] += v[3];
	v[3] = 6.300000000000001 - x[10];
	v[0] = v[3] * v[3];
	v[3] = x[7] * v[0];
	v[0] = -v[3];
	v[3] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[3] * v[3];
	v[2] += v[0];
	v[0] = 0.098 - v[2];
	v[2] = v[0] * v[0];
	v[1] += v[2];
	v[2] = 6.4 * x[4];
	v[0] = -v[2];
	v[2] = exp(v[0]);
	if (errno) in_trouble("exp",v[0]);
	v[0] = x[0] * v[2];
	v[2] = 6.4 - x[8];
	v[3] = v[2] * v[2];
	v[2] = x[5] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[1] * v[2];
	v[0] += v[3];
	v[3] = 6.4 - x[9];
	v[2] = v[3] * v[3];
	v[3] = x[6] * v[2];
	v[2] = -v[3];
	v[3] = exp(v[2]);
	if (errno) in_trouble("exp",v[2]);
	v[2] = x[2] * v[3];
	v[0] += v[2];
	v[2] = 6.4 - x[10];
	v[3] = v[2] * v[2];
	v[2] = x[7] * v[3];
	v[3] = -v[2];
	v[2] = exp(v[3]);
	if (errno) in_trouble("exp",v[3]);
	v[3] = x[3] * v[2];
	v[0] += v[3];
	v[3] = 0.054 - v[0];
	v[0] = v[3] * v[3];
	v[1] += v[0];

	return v[1];
}

 void
ceval0_(real *x, real *c)
{}
#ifdef __cplusplus
	}
#endif

#include <stdio.h>
#include <stdlib.h>

main(int argc, char **argv)
{

FILE *file_input;
real *x_input, f_val, *c_val;
double *input_values;
fint objective_number;
int i;

x_input = malloc (11 * sizeof(real));
input_values = malloc (11 * sizeof(double));
c_val = malloc (0 * sizeof(real));

file_input = fopen("input.in","r");
for (i=0; i < 11; i++)
    fscanf(file_input, "%lf" ,&input_values[i]);

fclose(file_input);
for (i=0; i < 11; i++)
 {
    x_input[i] = input_values[i];
 }

f_val = feval0_(&objective_number, x_input);

FILE *output_out;
output_out = fopen ("output.out","w");
fprintf(output_out,"%30.15f\n",f_val);
fclose(output_out);

}
