#include "math.h"
#include "errno.h"
#ifndef fint
#ifndef Long
#include "arith.h"	/* for Long */
#ifndef Long
#define Long long
#endif
#endif
#define fint Long
#endif
#ifndef real
#define real double
#endif
#ifdef __cplusplus
extern "C" {
#endif
 real acosh_(real *);
 real asinh_(real *);
 real acoshd_(real *, real *);
 real asinhd_(real *, real *);
 void in_trouble(char *, real);
 void in_trouble2(char *, real, real);
 void domain_(char *, real *, fint);
 void zerdiv_(real *);
 fint auxcom_[1] = { 0 /* nlc */ };
 fint funcom_[6] = {
	50 /* nvar */,
	1 /* nobj */,
	0 /* ncon */,
	0 /* nzc */,
	0 /* densejac */,

	/* objtype (0 = minimize, 1 = maximize) */

	0 };

 real boundc_[1+100+0] /* Infinity, variable bounds, constraint bounds */ = {
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80,
		-1.7e80,
		1.7e80};

 real x0comn_[50] = {
		0.1,
		0.1,
		0.3,
		0.1,
		0.5,
		0.1,
		0.7,
		0.1,
		0.9,
		0.1,
		0.1,
		0.3,
		0.3,
		0.3,
		0.5,
		0.3,
		0.7,
		0.3,
		0.9,
		0.3,
		0.1,
		0.5,
		0.3,
		0.5,
		0.5,
		0.5,
		0.7,
		0.5,
		0.9,
		0.5,
		0.1,
		0.7,
		0.3,
		0.7,
		0.5,
		0.7,
		0.7,
		0.7,
		0.9,
		0.7,
		0.1,
		0.9,
		0.3,
		0.9,
		0.5,
		0.9,
		0.7,
		0.9,
		0.9,
		0.9 };

 real
feval0_(fint *nobj, real *x)
{
	real v[4];


  /***  objective ***/

	v[0] = -0.6092090562543065 + x[4];
	v[1] = v[0] * v[0];
	v[0] = -0.1898730530200304 + x[5];
	v[2] = v[0] * v[0];
	v[0] = v[1] + v[2];
	v[1] = sqrt(v[0]);
	if (errno) in_trouble("sqrt",v[0]);
	v[0] = 0.05 * v[1];
	v[1] = -0.6092090562543065 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.1898730530200304 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6092090562543065 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.1898730530200304 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6092090562543065 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.1898730530200304 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9218920519490184 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9571557013775424 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10572581989835575 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7141062486427147 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10572581989835575 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7141062486427147 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10572581989835575 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7141062486427147 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10572581989835575 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7141062486427147 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5515320687097053 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.26313507221726584 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5515320687097053 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.26313507221726584 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5515320687097053 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.26313507221726584 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5515320687097053 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.26313507221726584 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3496041535777193 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.40724659389865475 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3496041535777193 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.40724659389865475 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3496041535777193 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.40724659389865475 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3496041535777193 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.40724659389865475 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6652117418059373 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5758072295953904 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6652117418059373 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5758072295953904 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6652117418059373 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5758072295953904 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6652117418059373 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5758072295953904 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9420215552039096 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.36352462623566634 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.9420215552039096 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.36352462623566634 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.003088755058514279 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7555983360222088 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.003088755058514279 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7555983360222088 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4501026215672097 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.17012187265331485 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4501026215672097 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.17012187265331485 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4501026215672097 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.17012187265331485 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4501026215672097 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.17012187265331485 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7877480635271975 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8378083764164828 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7877480635271975 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8378083764164828 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7877480635271975 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8378083764164828 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7877480635271975 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8378083764164828 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.590166087555528 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.20309282364307576 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.590166087555528 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.20309282364307576 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.590166087555528 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.20309282364307576 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.590166087555528 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.20309282364307576 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.25363878467576173 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.5323392764929608 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.25363878467576173 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5323392764929608 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.25363878467576173 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.5323392764929608 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.25363878467576173 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5323392764929608 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.16674825110565217 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.02714183893944929 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.16674825110565217 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.02714183893944929 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.33270883205104906 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8059470202736861 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.33270883205104906 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8059470202736861 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.33270883205104906 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8059470202736861 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.33270883205104906 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8059470202736861 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6405158376732882 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.754374579072623 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6405158376732882 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.754374579072623 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6405158376732882 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.754374579072623 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6405158376732882 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.754374579072623 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.48673052674987505 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.039933625180337586 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.48673052674987505 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.039933625180337586 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6544303041427644 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.4781248832489206 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6544303041427644 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.4781248832489206 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6544303041427644 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.4781248832489206 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6544303041427644 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.4781248832489206 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.31289874428346315 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6036795859849745 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.31289874428346315 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.6036795859849745 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.31289874428346315 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6036795859849745 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.31289874428346315 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.6036795859849745 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3902836108765371 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9570518288965393 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3902836108765371 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9570518288965393 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5922037694600494 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.7602993227799637 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5922037694600494 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7602993227799637 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5922037694600494 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.7602993227799637 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5922037694600494 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7602993227799637 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.05717502091925056 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3120471008908519 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.05717502091925056 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3120471008908519 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14552608323062394 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3104900693614326 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.14552608323062394 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.3104900693614326 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14552608323062394 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3104900693614326 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14552608323062394 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.3104900693614326 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7882887505862115 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5097337079180678 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7882887505862115 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.5097337079180678 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7882887505862115 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5097337079180678 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7882887505862115 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.5097337079180678 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.26486921671035574 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7862882369251194 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.26486921671035574 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7862882369251194 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.26486921671035574 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7862882369251194 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.26486921671035574 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7862882369251194 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6756225992058746 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.2597614663795443 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6756225992058746 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.2597614663795443 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6756225992058746 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.2597614663795443 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6756225992058746 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.2597614663795443 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6191303340154188 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.420199834473764 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6191303340154188 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.420199834473764 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6191303340154188 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.420199834473764 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6191303340154188 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.420199834473764 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.08634903934333252 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8346241658885393 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.08634903934333252 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8346241658885393 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7472373422570681 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8458575804160756 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7472373422570681 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8458575804160756 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7472373422570681 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8458575804160756 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7472373422570681 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8458575804160756 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.40070769459644306 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5246405869359776 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.40070769459644306 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5246405869359776 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.40070769459644306 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5246405869359776 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.40070769459644306 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5246405869359776 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9798345403587727 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9420428503826899 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.39068386069153516 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.06741967232342817 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.39068386069153516 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.06741967232342817 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14200153702799506 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6103860981588993 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14200153702799506 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6103860981588993 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14200153702799506 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6103860981588993 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.14200153702799506 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6103860981588993 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8461779771452407 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8232266335894937 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8461779771452407 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8232266335894937 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8461779771452407 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8232266335894937 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8461779771452407 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8232266335894937 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2991379141064284 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8077213232404685 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2991379141064284 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8077213232404685 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2991379141064284 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8077213232404685 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2991379141064284 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8077213232404685 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4699021328573089 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.12591198952681626 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4699021328573089 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.12591198952681626 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4699021328573089 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.12591198952681626 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4699021328573089 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.12591198952681626 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.39600670091134227 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.06703426648805695 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.39600670091134227 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.06703426648805695 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8068659594837 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.2371437654479109 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8068659594837 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.2371437654479109 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8068659594837 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.2371437654479109 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8068659594837 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.2371437654479109 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.002136145707319929 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6948164995368437 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.002136145707319929 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6948164995368437 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4679134815551892 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8310654456465669 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4679134815551892 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8310654456465669 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4679134815551892 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8310654456465669 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4679134815551892 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8310654456465669 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.14647624894368663 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.32978870695138 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.14647624894368663 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.32978870695138 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14647624894368663 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.32978870695138 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14647624894368663 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.32978870695138 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.80311997081927 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5475823760792615 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.80311997081927 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.5475823760792615 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.80311997081927 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5475823760792615 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.80311997081927 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.5475823760792615 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41977684527854114 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.3027074711335689 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41977684527854114 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.3027074711335689 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.41977684527854114 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.3027074711335689 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41977684527854114 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.3027074711335689 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4162093080216275 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5339924466629088 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4162093080216275 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5339924466629088 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4162093080216275 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5339924466629088 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4162093080216275 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5339924466629088 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7248996461937005 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8667525539663636 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7248996461937005 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8667525539663636 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7248996461937005 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8667525539663636 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7248996461937005 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8667525539663636 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49540680929265624 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5022340415303792 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49540680929265624 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5022340415303792 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.49540680929265624 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5022340415303792 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49540680929265624 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5022340415303792 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7021977521880065 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7249978086996655 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7021977521880065 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.7249978086996655 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7021977521880065 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7249978086996655 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7021977521880065 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.7249978086996655 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.58135534663332 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.6472268729161429 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.58135534663332 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.6472268729161429 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.58135534663332 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.6472268729161429 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.58135534663332 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.6472268729161429 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21832740810182977 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.44250373459419046 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21832740810182977 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.44250373459419046 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21832740810182977 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.44250373459419046 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21832740810182977 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.44250373459419046 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7747945293358209 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.11242973105116702 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7747945293358209 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.11242973105116702 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7747945293358209 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.11242973105116702 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7747945293358209 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.11242973105116702 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.838863120638258 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8053573528843528 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.838863120638258 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8053573528843528 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.838863120638258 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8053573528843528 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.838863120638258 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8053573528843528 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5425377311335935 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5209694170277731 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5425377311335935 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5209694170277731 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5425377311335935 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5209694170277731 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5425377311335935 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5209694170277731 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.33819285806837246 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.013140702827423786 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.33819285806837246 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.013140702827423786 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15988098338084886 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3645636278476326 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.15988098338084886 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.3645636278476326 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15988098338084886 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3645636278476326 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15988098338084886 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.3645636278476326 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3951913983259894 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9842177967277128 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3951913983259894 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9842177967277128 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9543988872602682 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9879254138173175 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.002541214064480394 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.4689011493050813 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.002541214064480394 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.4689011493050813 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.814085736943844 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8806138251557221 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.814085736943844 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8806138251557221 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.814085736943844 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8806138251557221 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.814085736943844 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8806138251557221 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.671859923962656 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.10397898207578266 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.671859923962656 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.10397898207578266 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.671859923962656 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.10397898207578266 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.671859923962656 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.10397898207578266 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.42761774172460837 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.017125791410446504 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.42761774172460837 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.017125791410446504 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5066802898753143 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.48697172645961917 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5066802898753143 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.48697172645961917 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5066802898753143 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.48697172645961917 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5066802898753143 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.48697172645961917 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.12881126603248805 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.713195414302692 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.12881126603248805 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.713195414302692 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.12881126603248805 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.713195414302692 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.12881126603248805 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.713195414302692 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7041012403000255 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8169423505700569 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7041012403000255 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8169423505700569 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7041012403000255 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8169423505700569 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7041012403000255 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8169423505700569 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4824473394238735 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.1382779676176483 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4824473394238735 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.1382779676176483 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4824473394238735 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.1382779676176483 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4824473394238735 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.1382779676176483 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21117300887904505 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.5138002032063322 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21117300887904505 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5138002032063322 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.21117300887904505 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.5138002032063322 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21117300887904505 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5138002032063322 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5356236081188606 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.1886042551029659 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5356236081188606 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.1886042551029659 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5356236081188606 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.1886042551029659 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5356236081188606 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.1886042551029659 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5777254268815557 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.721358591378871 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5777254268815557 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.721358591378871 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5777254268815557 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.721358591378871 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5777254268815557 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.721358591378871 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10360693351621358 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.962892401832039 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10360693351621358 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.962892401832039 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8351330491696047 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.06721713114444745 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8351330491696047 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.06721713114444745 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.18085955746622354 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.666547155789982 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18085955746622354 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.666547155789982 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18085955746622354 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.666547155789982 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.18085955746622354 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.666547155789982 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7388139455218912 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7363047841803373 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7388139455218912 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.7363047841803373 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7388139455218912 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7363047841803373 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7388139455218912 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.7363047841803373 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6157548920673164 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9106598218483783 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6157548920673164 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9106598218483783 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2050983101937087 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8981374517194339 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2050983101937087 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8981374517194339 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2050983101937087 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8981374517194339 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2050983101937087 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8981374517194339 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7885650463872591 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.550574263444649 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7885650463872591 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.550574263444649 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7885650463872591 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.550574263444649 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7885650463872591 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.550574263444649 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9850957301334382 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.7664107258884213 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.9850957301334382 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.7664107258884213 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9073842617842139 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.4656365289068177 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9073842617842139 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.4656365289068177 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.856378804410443 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.40409404291428064 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.856378804410443 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.40409404291428064 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.856378804410443 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.40409404291428064 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.856378804410443 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.40409404291428064 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3045308895329244 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9764142101113735 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3045308895329244 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9764142101113735 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9607596394595079 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9615471472608872 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.9650550679094232 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.027302880602612517 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4532986271579153 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9820612889582572 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4532986271579153 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9820612889582572 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10219552004738841 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.35521844205272907 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10219552004738841 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.35521844205272907 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10219552004738841 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.35521844205272907 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10219552004738841 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.35521844205272907 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8071179075086414 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.16470739893028238 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8071179075086414 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.16470739893028238 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8071179075086414 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.16470739893028238 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8071179075086414 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.16470739893028238 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7334386644789821 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5722985952330049 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7334386644789821 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.5722985952330049 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7334386644789821 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5722985952330049 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7334386644789821 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.5722985952330049 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3967922181050049 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8468499266682785 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3967922181050049 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8468499266682785 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3967922181050049 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8468499266682785 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3967922181050049 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8468499266682785 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.016020980914218698 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.4524376388419574 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.016020980914218698 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.4524376388419574 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.028763258187195797 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.19461648925615913 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.028763258187195797 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.19461648925615913 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17226414909187127 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.4519507192594012 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17226414909187127 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.4519507192594012 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17226414909187127 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.4519507192594012 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.17226414909187127 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.4519507192594012 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34861026370690973 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.1325120153694225 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.34861026370690973 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.1325120153694225 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34861026370690973 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.1325120153694225 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34861026370690973 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.1325120153694225 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3289059804008967 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.3420693346221525 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3289059804008967 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.3420693346221525 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3289059804008967 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.3420693346221525 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3289059804008967 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.3420693346221525 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.04358294151949504 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6224948466835234 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.04358294151949504 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6224948466835234 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5484663089747857 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5448875167947554 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5484663089747857 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5448875167947554 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5484663089747857 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5448875167947554 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5484663089747857 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5448875167947554 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.37942164874746054 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5417778900448266 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.37942164874746054 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5417778900448266 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.37942164874746054 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5417778900448266 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.37942164874746054 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5417778900448266 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2898820478891231 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.156683394926889 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2898820478891231 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.156683394926889 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2898820478891231 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.156683394926889 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2898820478891231 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.156683394926889 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14436206044133867 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.4983731144308658 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14436206044133867 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.4983731144308658 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.14436206044133867 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.4983731144308658 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.14436206044133867 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.4983731144308658 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7175978827365764 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.14499876614779328 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7175978827365764 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.14499876614779328 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7175978827365764 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.14499876614779328 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7175978827365764 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.14499876614779328 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5014184570427815 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.4156216674181864 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5014184570427815 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.4156216674181864 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5014184570427815 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.4156216674181864 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5014184570427815 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.4156216674181864 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4329773204947541 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.17238267238886285 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4329773204947541 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.17238267238886285 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4329773204947541 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.17238267238886285 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4329773204947541 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.17238267238886285 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5861806748259862 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.999145696225896 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5861806748259862 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.999145696225896 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6881454981289161 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.01889264484790032 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6881454981289161 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.01889264484790032 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3184129360031093 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.05611510888139794 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3184129360031093 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.05611510888139794 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24003568951620197 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.21972298863391101 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24003568951620197 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.21972298863391101 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24003568951620197 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.21972298863391101 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24003568951620197 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.21972298863391101 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.007792278689315862 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8007644873765284 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.007792278689315862 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8007644873765284 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.007948695563754406 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3858815335287781 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.007948695563754406 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3858815335287781 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21096677172972608 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6535114160710511 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21096677172972608 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6535114160710511 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21096677172972608 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6535114160710511 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.21096677172972608 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6535114160710511 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8030614045420861 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9798174474912862 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8030614045420861 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9798174474912862 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5011297156299414 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5050906796401895 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5011297156299414 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5050906796401895 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5011297156299414 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5050906796401895 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5011297156299414 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5050906796401895 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.720727778400421 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5316814333885292 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.720727778400421 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.5316814333885292 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.720727778400421 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5316814333885292 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.720727778400421 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.5316814333885292 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7033157060468215 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.49496808753112015 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7033157060468215 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.49496808753112015 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7033157060468215 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.49496808753112015 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7033157060468215 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.49496808753112015 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41101411299461654 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.25446257794615174 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41101411299461654 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.25446257794615174 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41101411299461654 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.25446257794615174 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.41101411299461654 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.25446257794615174 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7685173241742284 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.03750634734230831 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7685173241742284 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.03750634734230831 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15028787786496287 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8711424282090636 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15028787786496287 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8711424282090636 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.15028787786496287 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8711424282090636 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.15028787786496287 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8711424282090636 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5090721624369492 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8594856480115571 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5090721624369492 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8594856480115571 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5090721624369492 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8594856480115571 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5090721624369492 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8594856480115571 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.48458640900144806 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5434655248508489 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.48458640900144806 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5434655248508489 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.48458640900144806 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5434655248508489 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.48458640900144806 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5434655248508489 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7622377519441852 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9782285570897413 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7622377519441852 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9782285570897413 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5715118288960713 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8082403759914378 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5715118288960713 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8082403759914378 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5715118288960713 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8082403759914378 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5715118288960713 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8082403759914378 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.60895437181992 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.43578634800413896 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.60895437181992 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.43578634800413896 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.60895437181992 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.43578634800413896 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.60895437181992 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.43578634800413896 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3687863937544026 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.03089598151138443 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3687863937544026 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.03089598151138443 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2376051348777136 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.5645947965450389 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2376051348777136 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5645947965450389 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2376051348777136 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.5645947965450389 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2376051348777136 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5645947965450389 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8609625759799475 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8832459681855893 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8609625759799475 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8832459681855893 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8609625759799475 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8832459681855893 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8609625759799475 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8832459681855893 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7354223319409803 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.45117668386043 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7354223319409803 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.45117668386043 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7354223319409803 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.45117668386043 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7354223319409803 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.45117668386043 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7539033407972496 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9020740681414132 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7539033407972496 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9020740681414132 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9816343302464686 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.6785642083357746 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9816343302464686 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.6785642083357746 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.08371758127499715 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.343779470839868 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.08371758127499715 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.343779470839868 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6638896639931149 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5923723092939949 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6638896639931149 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5923723092939949 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6638896639931149 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5923723092939949 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6638896639931149 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5923723092939949 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6230694316571016 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.03159295928911016 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6230694316571016 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.03159295928911016 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.03413277239442863 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.48360863332897297 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.03413277239442863 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.48360863332897297 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6596464075357347 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5222365150456784 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6596464075357347 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5222365150456784 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6596464075357347 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5222365150456784 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6596464075357347 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5222365150456784 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17917754707522102 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7980588027443045 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.17917754707522102 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7980588027443045 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17917754707522102 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7980588027443045 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17917754707522102 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7980588027443045 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3530328991159779 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.1831350829531854 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3530328991159779 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.1831350829531854 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3530328991159779 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.1831350829531854 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3530328991159779 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.1831350829531854 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7048291853696351 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8799460636704416 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7048291853696351 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8799460636704416 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7048291853696351 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8799460636704416 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7048291853696351 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8799460636704416 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3714611794274731 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9698081071193402 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3714611794274731 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9698081071193402 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.38616941651627723 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5578769636140747 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.38616941651627723 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5578769636140747 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.38616941651627723 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5578769636140747 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.38616941651627723 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5578769636140747 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5548199449772039 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.37972156730898776 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5548199449772039 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.37972156730898776 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5548199449772039 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.37972156730898776 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5548199449772039 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.37972156730898776 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8342099663554748 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9277674005406547 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8342099663554748 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9277674005406547 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2742318439778254 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6324804285972776 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2742318439778254 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6324804285972776 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2742318439778254 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6324804285972776 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2742318439778254 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6324804285972776 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.1931697516276003 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3976083948887625 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.1931697516276003 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.3976083948887625 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.1931697516276003 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3976083948887625 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.1931697516276003 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.3976083948887625 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.07876193383661362 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.3752382175674872 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.07876193383661362 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.3752382175674872 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4507387125511679 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5335750742854114 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4507387125511679 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5335750742854114 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4507387125511679 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5335750742854114 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4507387125511679 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5335750742854114 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.23614643550279946 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.2452556127823762 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.23614643550279946 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.2452556127823762 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.23614643550279946 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.2452556127823762 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.23614643550279946 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.2452556127823762 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.05837317919613263 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.574254966310599 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.05837317919613263 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.574254966310599 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.04676736252651311 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7481190723953788 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.04676736252651311 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7481190723953788 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.07339461273887674 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.11038298532298516 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.07339461273887674 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.11038298532298516 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.010242252849253973 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.9135875183739401 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6144845362707912 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.29858566084828486 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6144845362707912 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.29858566084828486 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6144845362707912 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.29858566084828486 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6144845362707912 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.29858566084828486 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.014940988019665886 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8812794825723205 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.014940988019665886 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8812794825723205 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7532475441865123 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7301516532185963 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7532475441865123 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.7301516532185963 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7532475441865123 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7301516532185963 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7532475441865123 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.7301516532185963 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9486522032183246 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.843001571418343 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9486522032183246 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.843001571418343 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8699931402031413 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5786550666835701 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8699931402031413 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.5786550666835701 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8699931402031413 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5786550666835701 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8699931402031413 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.5786550666835701 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6408484241508395 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.03852266806017617 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6408484241508395 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.03852266806017617 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10958823278553471 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7248577724010744 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10958823278553471 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7248577724010744 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10958823278553471 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7248577724010744 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10958823278553471 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7248577724010744 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5626126166857761 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.7438244993871808 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5626126166857761 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7438244993871808 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5626126166857761 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.7438244993871808 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5626126166857761 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7438244993871808 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5735228937405253 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8398197127323974 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5735228937405253 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8398197127323974 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5735228937405253 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8398197127323974 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5735228937405253 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8398197127323974 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.796853743158415 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.34408575128784014 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.796853743158415 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.34408575128784014 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.796853743158415 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.34408575128784014 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.796853743158415 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.34408575128784014 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10145025796387055 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.32092485339703375 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10145025796387055 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.32092485339703375 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10145025796387055 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.32092485339703375 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10145025796387055 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.32092485339703375 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.9790398679981207 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.9536219318333051 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8862128714480034 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8602869285776142 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8862128714480034 + x[38];
	v[2] = v[1] * v[1];
	v[1] = -0.8602869285776142 + x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8862128714480034 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8602869285776142 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8862128714480034 + x[48];
	v[2] = v[1] * v[1];
	v[1] = -0.8602869285776142 + x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.06339125853351708 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6857157481782522 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.06339125853351708 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6857157481782522 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.08698527639531256 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.9713578271643565 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8530451565304815 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.17092092825165353 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8530451565304815 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.17092092825165353 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8530451565304815 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.17092092825165353 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8530451565304815 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.17092092825165353 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.10890746702396711 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.09662831064722045 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.10890746702396711 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.09662831064722045 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18600705311997384 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.29722455686683413 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18600705311997384 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.29722455686683413 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18600705311997384 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.29722455686683413 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.18600705311997384 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.29722455686683413 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3707527439294504 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.10173823709701868 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3707527439294504 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.10173823709701868 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3707527439294504 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.10173823709701868 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3707527439294504 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.10173823709701868 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.611248816404147 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5437725118743352 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.611248816404147 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5437725118743352 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.611248816404147 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5437725118743352 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.611248816404147 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5437725118743352 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.45414462401080025 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.18729015682690886 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.45414462401080025 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.18729015682690886 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.45414462401080025 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.18729015682690886 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.45414462401080025 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.18729015682690886 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4448722326951909 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.5208788204551373 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4448722326951909 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5208788204551373 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.4448722326951909 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.5208788204551373 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4448722326951909 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5208788204551373 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6223798707292764 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9706696788536328 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6223798707292764 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9706696788536328 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.19310863166226122 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7013860923653529 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.19310863166226122 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7013860923653529 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.19310863166226122 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7013860923653529 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.19310863166226122 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7013860923653529 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6503873541720145 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.08984290077616171 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6503873541720145 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.08984290077616171 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.052883287976218954 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.297051817614363 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.052883287976218954 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.297051817614363 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5367719601487343 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.7433227350714057 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5367719601487343 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.7433227350714057 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5367719601487343 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.7433227350714057 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5367719601487343 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.7433227350714057 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3028225777494007 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.562548397063598 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3028225777494007 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.562548397063598 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3028225777494007 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.562548397063598 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3028225777494007 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.562548397063598 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34180721025705235 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.14939262753641833 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.34180721025705235 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.14939262753641833 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34180721025705235 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.14939262753641833 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.34180721025705235 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.14939262753641833 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.0771291378082678 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6032501972102416 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.0771291378082678 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6032501972102416 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2931285754059421 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7033625410796037 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2931285754059421 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7033625410796037 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2931285754059421 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7033625410796037 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2931285754059421 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7033625410796037 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2880934525340447 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.02937261399958853 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2880934525340447 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.02937261399958853 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.22059783580974776 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.6561628950527545 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.22059783580974776 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6561628950527545 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.22059783580974776 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.6561628950527545 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.22059783580974776 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6561628950527545 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.6726569166369225 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.6595713994387211 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6726569166369225 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.6595713994387211 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6726569166369225 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.6595713994387211 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.6726569166369225 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.6595713994387211 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.17767361345364951 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.4795792702580308 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17767361345364951 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.4795792702580308 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.17767361345364951 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.4795792702580308 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.17767361345364951 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.4795792702580308 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.588230729688614 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8700564983391865 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.588230729688614 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.8700564983391865 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.588230729688614 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8700564983391865 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.588230729688614 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.8700564983391865 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7353685721113958 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.0425366868922353 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7353685721113958 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.0425366868922353 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2042387194877463 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.19669306742420536 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2042387194877463 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.19669306742420536 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.2042387194877463 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.19669306742420536 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2042387194877463 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.19669306742420536 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4090636252109056 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8464876980915361 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4090636252109056 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.8464876980915361 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4090636252109056 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8464876980915361 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.4090636252109056 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.8464876980915361 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7510401995625964 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.23164802714804197 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7510401995625964 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.23164802714804197 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7510401995625964 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.23164802714804197 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7510401995625964 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.23164802714804197 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.679825817580617 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.9195407925270135 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.679825817580617 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.9195407925270135 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7840850059363415 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.4611606217015697 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7840850059363415 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.4611606217015697 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.7840850059363415 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.4611606217015697 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.7840850059363415 + x[28];
	v[2] = v[1] * v[1];
	v[1] = -0.4611606217015697 + x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49833607545340225 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7297689517430136 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49833607545340225 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.7297689517430136 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.49833607545340225 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7297689517430136 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.49833607545340225 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.7297689517430136 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24084349536017577 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.36463102328471764 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24084349536017577 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.36463102328471764 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.24084349536017577 + x[20];
	v[2] = v[1] * v[1];
	v[1] = -0.36463102328471764 + x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.24084349536017577 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.36463102328471764 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18502099531892277 + x[0];
	v[2] = v[1] * v[1];
	v[1] = -0.12245812665639699 + x[1];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.18502099531892277 + x[2];
	v[2] = v[1] * v[1];
	v[1] = -0.12245812665639699 + x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18502099531892277 + x[10];
	v[2] = v[1] * v[1];
	v[1] = -0.12245812665639699 + x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.18502099531892277 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.12245812665639699 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.1392136681062285 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.7155535877968634 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.1392136681062285 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.7155535877968634 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.1392136681062285 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.7155535877968634 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.1392136681062285 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.7155535877968634 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3890616398183802 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.6627150908058147 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3890616398183802 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.6627150908058147 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3890616398183802 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.6627150908058147 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3890616398183802 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.6627150908058147 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5818714981480131 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.5379958179950205 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5818714981480131 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.5379958179950205 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5818714981480131 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.5379958179950205 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5818714981480131 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.5379958179950205 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.847532079174347 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.17157197400905844 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.847532079174347 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.17157197400905844 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.847532079174347 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.17157197400905844 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.847532079174347 + x[18];
	v[2] = v[1] * v[1];
	v[1] = -0.17157197400905844 + x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5370815232065421 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.6321595608875064 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5370815232065421 + x[26];
	v[2] = v[1] * v[1];
	v[1] = -0.6321595608875064 + x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5370815232065421 + x[34];
	v[2] = v[1] * v[1];
	v[1] = -0.6321595608875064 + x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5370815232065421 + x[36];
	v[2] = v[1] * v[1];
	v[1] = -0.6321595608875064 + x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.13413014654010832 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8657737728444578 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.13413014654010832 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8657737728444578 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.13413014654010832 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8657737728444578 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.13413014654010832 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8657737728444578 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2553295117807238 + x[30];
	v[2] = v[1] * v[1];
	v[1] = -0.8394730001105355 + x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2553295117807238 + x[32];
	v[2] = v[1] * v[1];
	v[1] = -0.8394730001105355 + x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2553295117807238 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.8394730001105355 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.2553295117807238 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.8394730001105355 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5135634517577249 + x[44];
	v[2] = v[1] * v[1];
	v[1] = -0.902439288730449 + x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5135634517577249 + x[46];
	v[2] = v[1] * v[1];
	v[1] = -0.902439288730449 + x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.29851366482587843 + x[40];
	v[2] = v[1] * v[1];
	v[1] = -0.9001863458886291 + x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.29851366482587843 + x[42];
	v[2] = v[1] * v[1];
	v[1] = -0.9001863458886291 + x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.8800411485262789 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.06081796911564474 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.8800411485262789 + x[8];
	v[2] = v[1] * v[1];
	v[1] = -0.06081796911564474 + x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5884006499545371 + x[4];
	v[2] = v[1] * v[1];
	v[1] = -0.22553394305688412 + x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5884006499545371 + x[6];
	v[2] = v[1] * v[1];
	v[1] = -0.22553394305688412 + x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.5884006499545371 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.22553394305688412 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.5884006499545371 + x[16];
	v[2] = v[1] * v[1];
	v[1] = -0.22553394305688412 + x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3871996406191458 + x[12];
	v[2] = v[1] * v[1];
	v[1] = -0.4175442423510683 + x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3871996406191458 + x[14];
	v[2] = v[1] * v[1];
	v[1] = -0.4175442423510683 + x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = -0.3871996406191458 + x[22];
	v[2] = v[1] * v[1];
	v[1] = -0.4175442423510683 + x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.95 * v[2];
	v[0] += v[1];
	v[1] = -0.3871996406191458 + x[24];
	v[2] = v[1] * v[1];
	v[1] = -0.4175442423510683 + x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.05 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[2];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[3];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[4];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[6];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[8];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[10];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[0] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[1] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[4];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[5];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[6];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[8];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[10];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[2] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[3] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[6];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[7];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[8];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[10];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[4] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[5] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[8];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[9];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[10];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[6] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[7] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[10];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[11];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[8] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[9] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[12];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[13];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[10] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[11] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[14];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[15];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[12] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[13] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[16];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[17];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[14] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[15] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[18];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[19];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[16] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[17] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[20];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[21];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[18] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[19] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[22];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[23];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[20] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[21] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[24];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[25];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[22] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[23] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[26];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[27];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[24] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[25] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[28];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[29];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[26] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[27] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[30];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[31];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[28] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[29] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[32];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[33];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[30] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[31] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[34];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[35];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[32] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[33] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[36];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[37];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[34] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[35] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[38];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[39];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[36] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[37] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[38] - x[40];
	v[2] = v[1] * v[1];
	v[1] = x[39] - x[41];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[38] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[39] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[38] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[39] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[38] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[39] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[38] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[39] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[40] - x[42];
	v[2] = v[1] * v[1];
	v[1] = x[41] - x[43];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[40] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[41] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[40] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[41] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[40] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[41] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[42] - x[44];
	v[2] = v[1] * v[1];
	v[1] = x[43] - x[45];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[42] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[43] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[42] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[43] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[44] - x[46];
	v[2] = v[1] * v[1];
	v[1] = x[45] - x[47];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[44] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[45] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];
	v[1] = x[46] - x[48];
	v[2] = v[1] * v[1];
	v[1] = x[47] - x[49];
	v[3] = v[1] * v[1];
	v[1] = v[2] + v[3];
	v[2] = sqrt(v[1]);
	if (errno) in_trouble("sqrt",v[1]);
	v[1] = 0.2 * v[2];
	v[0] += v[1];

	return v[0];
}

 void
ceval0_(real *x, real *c)
{}
#ifdef __cplusplus
	}
#endif

#include <stdio.h>
#include <stdlib.h>

main(int argc, char **argv)
{

FILE *file_input;
real *x_input, f_val, *c_val;
double *input_values;
fint objective_number;
int i;

x_input = malloc (50 * sizeof(real));
input_values = malloc (50 * sizeof(double));
c_val = malloc (0 * sizeof(real));

file_input = fopen("input.in","r");
for (i=0; i < 50; i++)
    fscanf(file_input, "%lf" ,&input_values[i]);

fclose(file_input);
for (i=0; i < 50; i++)
 {
    x_input[i] = input_values[i];
 }

f_val = feval0_(&objective_number, x_input);

FILE *output_out;
output_out = fopen ("output.out","w");
fprintf(output_out,"%30.15f\n",f_val);
fclose(output_out);

}
